commit b98a9162f573983fd8fb999a4fd1ca88edb72173
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Version bump to 1.1.0.

commit 4b89fa847751151dd226535b37d0db9ac103a521
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Declares Python types using the new "<custom-type>" tag.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Paulo Alcantara <pcacjr@gmail.com>

commit ace1372c1a091faabdc6cfb00f187a993d31b2c4
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1060 - "Subclassing of QUiLoader leads to "Internal C++ object
    already deleted" exception"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1060.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 689c31a3634e7266343ff475e82236bd7d6611a9
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1091 - "PixmapFragment and drawPixmapFragments are not bound"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1091.
    
    Also minor coding style fixes in QtGui's typesystem.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 86c6261dac472b623d5799a11dee6c8956daf600
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1084 - "Crash (segfault) when writing unicode string on socket"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1084.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Trust me

commit ebf5e4f9abe2fdcce050648aac938b6cb016abbb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    The temporary file used in the test for bug #829 must not be deleted by the test.
    
    This fixes the test in win32 platforms.

commit 82d086285aa500ee54323d04996b8bf0acf5bd09
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes the QSettings related QVariant's save/load bug.

commit 45517664ee498074e5ea6e066897e5d9f8ea7262
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Small code style changes.

commit 8f8a9916ba1faaeeb65573c81e389b214f83c987
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Add GC support to PySide Property type.
    
    This fixes GC errors when running PySide on a Python debug env.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 72edc8be877cf77ec54882691950fb2df5ec0e0b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added type system entries to the primitive types used by QtOpenGL.

commit fe16e86ada6a7ce2b69073d94a20bf56e9e7377b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated the custom widget plugin to use the new converters.

commit 85cf74816ca6a6ff01c9358ed5a586fc36522af1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    No more training wheels. The last occurrences of the old template Converter where removed.
    
    Also related fixes here and there.

commit c535327e6444d9fca88f3ab3c787fea60c52bccc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a type system file for Maemo's QtCore.

commit 35a92c1dbf47be5270c4ce61591b51351950efc7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes custom code for QtCore's HWND on win32.

commit 651cadc2c485ab3f9704974f2bef6737412a0071
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Qt::HANDLE is declared only in QtCore, and its specifics depend on the architecture.

commit 60cf6028897c1d88507532a5df6ada5a599845e3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed QtCore's HWND converter for win32.

commit eb4a6abe58c0b458cbb12319e57e3ed734db2880
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed the QAbstractVideoBuffer::map method.

commit ba94b0b21b8ea511511817aefa7b26cb96937f25
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed converter for win32's WId type.

commit 00b4b81fbc3697d7763808433868e34ed50cdf20
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fix compilation of conversion branch against Python3k.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 0f38019c02fe0459230c6ca583a7b2aba12e6212
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Replaced TypeResolver by SbkConverter and SpecificConverter.
    
    Also updated QtGui's WId conversion to Python 3.

commit c93001f792db0de9eede4ef14ba365ea21470f78
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed the remaining occurrences of Shiboken::makeTuple.

commit 55ac5ba259680881e46a6e35bd7453b5d9f0df5d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed code for QUdpSocket.readDatagram method to remove usage of Shiboken::makeTuple.

commit e7d76b1765e93c6bd4b5830f92d06b328e5f70a3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed code for setting QtCore.__version_info__ to not use Shiboken::makeTuple.

commit 96622477caf8406e8b3b92bfe835a4371ba287b8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed custom code for QScriptValueIterator.__next__ function.
    
    It must not use the convenience method Shiboken::makeTuple, for it makes
    use of the old template based converters.

commit 0b3b94dbe3c9fdac00fedaa6acd39b3cf70615a6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes type converter for Win32's HWND.

commit f2c78ea48dabdb086eac1e693266b2ea7b86a846
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes the test for a QFlag value returned in a QVariant.

commit c6e8f512c4f1c8bf9768d4b262b49ae1293c66db
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Modified PySideQFlags based on Hugo's design.

commit c1a0865b2abbf8dd19fc1e51b73288d93b5c8d0f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added converter for primitive type QModelIndexList.

commit 1c109e3126be05cc47fa472804b8a93b45614e5b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes conversion rule for QGraphicsView::drawItems array argument.

commit 92675c4c6d6f94f564bcc2ed31842f95980df8af
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Some method signatures were removed.
    
    They were removed because used pointers to primitive types without
    proper user defined handling. Future assessment must be done to tell if
    removal is enough, or other changes are needed.

commit 8ea0365f36a74ac684246841c558b0592fae9bc7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated various function removals and modifications.

commit 04732769c9af54b68b9697f23dcd1d0a76047297
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    New containers for container types.

commit 7003636398cdf3f3f12c84fde325d87292f5783e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    New converters for primitive types.

commit 3c4dff501c631e27a4e6bc5e8d73cb0a6a7e759a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added new style conversions for QDate, QTime and QDateTime objects.

commit 49cbabd970464bdca5d2363bce4b74453832a98e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added default constructor to QTextStreamManipulator.

commit 601cb846dd0c3d8ff49822846f5dd44ab87e0525
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Turned QStyleOptionViewItem into value type, for it has a public copy constructor.
    
    It is passed around by value in many places, like the return value of
    QAbstractItemView::viewOptions(). I did the same to the variations:
    QStyleOptionViewItemV2, QStyleOptionViewItemV3, etc.

commit b6b5212be5f12fade45b92d790f144f37e17cd64
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Signature of various added and modified functions modified to use non-const references.
    
    The API Extractor signature normalizer removes const& from argument
    types, but it leaves non-const references unchanged.

commit 9468253d0346c72c6bb34a9b58146252e7142490
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    pysidesignal: more trivial fixes
    
    Fix typos and coding style.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 4f5ac5fa5b8ae61274a443d16a9ef76bf551a81d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Makes test for QtCore's bug #1063 compliant with Python 3.

commit 5cbd9c775e8b53a21fa66b3fe7afc4a2b5c67437
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't double decref variable causing an assertion error on debug builds.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 0b36404fe5fb56731cf66d7156debbd7c87d2ab0
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    pysidesignal: don't use C's cast
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit aef499e20bd094af125be67aec6c912cdb8edeac
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    pysidesignal: trivial fixes
    
    Fix typos and coding style
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 0a4d2f272c084354b3ae74dc9f060dd41e868b8c
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1063
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Willer Moreira <willer.moreira@openbossa.org>
    Reviewed-by: Luciano Wolf <luciano.wolf@openbossa.org>

commit 4f9fde566df0704083dba3d399cdfb9c85881f25
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1083 - "winId returns a PyCObject making it impossible to compare two winIds"

commit 3aef0d316e55e31fb0a167d3ee52897134b82316
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Replace private.py file by an inject code.

commit e1a897dc0fe9c67e6932cbddb178990190ce848b
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1077 - "Application exit crash when call QSyntaxHighlighter.document()"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f2b0c68d085c3ce60f411ecf13531e2b2cd8713a
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1034 - "Error compiling PySide with Python 3.2.2 32bit on Windows"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e20060d9595473f5c325c25d8d903e18be7f3d5d
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1069 - "QtCore.QDataStream silently fails on writing Python string"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4e47b3284fd8715b68342e755cd06ba02b1df0de
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Bumping to revision 1.0.9

commit 6a1e70e085fa4f4e71a1c20189ac2115ebe5f19f
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1048
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit c3fc0784f8bc2e17f668cd0eb40f06e3cb7d008b
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1058 - "Strange code in PySide/QtUiTools/glue/plugins.h"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Bruno Araújo <bruno.araujo@openbossa.org>

commit a357fbbe501a2927995a8f8c1650bfda052c3429
Author: Paulo Alcantara <pcacjr@gmail.com>
Commit: Paulo Alcantara <pcacjr@gmail.com>

    Fix BUG #1052
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 9367d9eccedd5a29459ceddc4761c6573d385cb8
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix PYSIDE_LIBRARY in CMake export.
    
    Was hardcoded with Cygwin library name format.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit f1fe0a3831022cf2e2dd352ad9b67f8ef72031c9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove unused code in bug 844 unit test.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8e5f57067e076eec733ee9540602db10714496aa
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1029 - "qmlRegisterType Fails to Increase the Ref Count"

commit 2a19232a751b73105388fd52d78363d69bb54d7a
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Paulo Alcantara <paulo.alcantara@openbossa.org>

    Fix BUG #1031
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5e56336a558a77753b0f679477d8c9518340e7cc
Author: Jerzy Kozera <jerzy.kozera@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed compilation error for gcc versions < 4
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0c7399f821843326510b9cdb2c4d967fc2ea64a4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix phonon unit test when there are device aliases reported by phonon.

commit c69816294f1905ff3ebceb7fa7f1b15d0e73c6c7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Strip the text received from message handler.
    
    This was needed because now qWarning, etc, are using stream operators
    for security reasons, and those operators add spaces at end.

commit 77a011ace9986092134aeabf6e12914ea5b85084
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1012 - "FTBFS with hardening flags enabled"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 07092b21a77c9536321bb8517a67aace756a24bb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1036 - "Qt.KeyboardModifiers always evaluates to zero"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f9a7144f53aa2e1c4f29b19436c9b9b1cc02833a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Creates QFlags types at runtime.

commit 3b70d65b9c866beadb334263f0c40474377f0967
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1013 - "connect to QSqlTableModel.primeInsert() causes crash"

commit f3672a77822fc68a2093985be5ff2f597a30bdb7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1011 - "PySide cygwin patch"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 1c135f7a59dbcdc798b8200904804bfcf6a050c0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Reduce the memory used by PySideMetaFunction instances.

commit ce98b29233fcdf4bfa5c8481c1765cb135b71f48
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Unify the code used to do QObject meta calls.

commit 05719145fcb21d34c351fd01be2ac6b694674260
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1016 - "Calling of Q_INVOKABLE method returning not QVariant is impossible..."

commit 987f3ece43af6e12e4e44fc81f1790141ddd3a34
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Optimize PySide::getMetaDataFromQObject function avoiding some str copies.

commit 65b1748453c5d6bd325ac42b3d09b9aab6d1d01b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix code style and add license headers.

commit 69e2171fa162b7f2bea4b505d9d247da14e608d9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix unit test of bug 829.

commit fee6535a73ba089761e7020647172ef6203113e4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 1.0.8.

commit 5b51ad909f2b61449290c7cd984d4e580defd340
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1019 - "Overriding QWidget.show or QWidget.hide do not work"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 74ad07ffeea407d9e565607e9189ccedba3aceef
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1022 - "RuntimeError: maximum recursion depth exceeded while getting the str of an object"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>

commit d68c6b99a6f376bf893c43689bae5d3004a13473
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Only removes actions bounded to PyObjects on QMenu::clear.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5e8a7ef5f0f566f7545f884283bc41f59bf51613
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Initial update typesystem for support Qt 4.8 (beta).
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit aa8519d0a3cb9dd5ede9f3920310b17bcd074841
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix getTypeName check order.
    
    Was segfaulting for signals with None as an explicit
    argument (returning NULL to a strdup).
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 89baf69998a4fcc3cd4eb3710f652c452224e2fa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes win32's HWND converter.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 81a4cb22766a8bc7ff4a48122e63caad5500ae69
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use sbkpython.h instead of Python.h to avoid problems with Python2.5.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ec04e5e9654ba96fc232b32167d1dbcb86649d65
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Avoid using uninitialized variable.

commit 41f66d647136298310321efecbe7dcef4af3c360
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix qglbuffer test on Python3.

commit 4f2058264daa971d2eb71d1ac68e1f0e00612118
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed unittest to work with python3.

commit 90f7dda97ec8a3fab5cd07a065dbe8e1434835ef
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Change String::convertible to String::isConvertible.

commit 6ec8f68ed2d388252ef773ab908ca827fb193c23
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed unittest to work with python3.

commit d41aff3062adbe3981f65575b544d4c9fd98689d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated Cmake files.

commit 229d076650978e55173a764cbfa73b9f6e389eea
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Slplited python compat file for python 2.x and 3.x

commit cbd5c150cdc7f5499b9b60cecd46aedac07409e6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated __init__.py file to works with python 2.x and 3.x

commit e7f9b64a2383e7687b170798539681fd694bba11
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated pyside and signals tests to works with python 2.x and 3.x

commit 5ace130f23314607e67b9eb9280a378e95666a88
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated phonon modue to works with python 2.x and 3.x

commit 1a3c2cf1b8285416b2f0f3f674c4ec10dc9e70ba
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtWebKit modue to works with python 2.x and 3.x

commit 6cda8a543d44425c18e8eca3ddbffaf7704eb61d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtUiTools modue to works with python 2.x and 3.x

commit 98508492aa9b3e9ee1d6e700427a8ab81fd6ea24
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtSql modue to works with python 2.x and 3.x

commit 30b0b91afc7b5eb0a778f94a53e46326ac1361cd
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtOpenGL modue to works with python 2.x and 3.x

commit 7ccc40dd7c0ebe8d86349dc1f9cc9b496d9fd7d2
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtNetwork modue to works with python 2.x and 3.x

commit 78540b73645110a155510f1cd4fa2b9feea9c34c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtScript modue to works with python 2.x and 3.x

commit 0647ae2b88f08ac9a1894afe8a756965ad4133bf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtGui modue to works with python 2.x and 3.x

commit e2eaf4f44b207a73d5f9bf67b5310584441e7ecf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtCore modue to works with python 2.x and 3.x

commit d450084d0a961146326933d24ff9cd254127c2fe
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated QtDeclarative modue to works with python 2.x and 3.x

commit 5525de20d99808f4092d9dc264d3324496e68e55
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Initia QtCore port to python3.

commit a50b4fb08a4a0d2d823b2a1b9361f4d5642f92a1
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created pyside QFlags compat class.

commit 93dc734d2d4b7b6e5d8472989b2cdb9f9bed2c08
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed compilation with python3.

commit 89be62d301d0d42a5ab166d8e1675eda5274ee3e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes argument and return type of a couple of QtDeclarative methods.
    
    The methods are:
    
    * QDeclarativeEngine::importPlugin(QString,QString,QString*)
    * QDeclarativeExpression::evaluate(bool*)
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit fe214749c467964c2039f0cf29e05ca2eba4eed1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes argument and return type for method "QScriptString::toArrayIndex(bool*)const".

commit bc1fb8c797f024e71cfb6c1dea6acf29aaaf8c28
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    QHostAddress::setAddress(quint8*) signature was removed.

commit 58038512848187d406cb136be0126b46eea4dcce
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Version bumped.

commit 227f4a7cdef46ed553f9d2e1ca1459e9a7254688
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for layout policy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 1e11f675d7a5d916ecdd3e72dcdfbc30264624e5
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed layout policy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a67d557ae94edaa25c2e24ad3143bf45799f6011
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #1006.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 332770d140f2f610d433f64b0a6183c21e4f7293
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix QLayout.itemAt and QGridLayout.itemAtPosition return policy.
    
    Fixes bug #1006.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 60f657f0174e8e95e1d30a605dd87d70d64f73cd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Unit test for bug 995 - "QDeclarativeView.itemAt returns faulty reference. (leading to SEGFAULT)"

commit de31fbd3fe3bca3bbb3f794c2932ad60ae941e5f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #1002.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 57dbef16c667e9ea5b687f3891967995af5318a7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QWidget.window() return policy.
    
    Fixes bug #1002
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8b159a145da0adb4236d4072eeaf79a4c2def6c9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #997.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6d3932b2e7eeab43a399787d02f764537b2e7213
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Avoid register property twice during the object instaciation.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit 8ddf35dd1f3a773872afed39fb5be6abbb0809ca
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed segfault during the connection fail.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit d01f3bd04cf3bd764e8fdd4f291c9875aa449b60
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for bug #998.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit 18f860962c9e844fa6fe1e1e8d1e53dd5265fa46
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed problems in function that return None, and was not verified.
    
    Some functions with inject code didnot verify the result value before
    convert to Shiboken types.
    
    Fixes bug #998.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit b7a557264433e101bb69f3da60ef15507c60052d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Changed QStringList from container to primitive type.
    
    QStringList inherits from QList<QString>, and it isn't a reusable
    container itself, such as QList.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 175f5c8a003142f92f60d90abf0d59ee6c16fb11
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 981 - "QSettings docs should empathize the behavior changes of value() on different platforms"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 56fc423f2665ef54d7b5739a857f69f657187190
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QAbstractFileEngine read and readLine methods to accept data with null bytes.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit abadd5078f7ee4257838b321286220fb27cdd17b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix other QIODevice read functions stopping at null bytes.

commit 5c39c42bfbc0dcb19f372646c972e4595e301d4f
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add extra test on QByteArray explicit conversion
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 1261f293486caa7df9e6d18c14bb0b141f12e7f5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 944 - "QIODevice.readData must use qmemcpy instead of qstrncpy"
    
    Reviewer:  Luciano Wolf <luciano.wolf@openbossa.org>
               Marcelo Lira <marcelo.lira@openbossa.org>

commit a98933b601732f17cd93f40e91f74bb1229471d6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 966 - "QX11Info.display() missing"

commit ed3093deb20555988087434eece67e5f00e34e0c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QColor reduce function.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5d34c3b14be3baa98a190f145b35cfd5de95043d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QColor reduce function.
    
    Fixes bug #989.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 90979117a636437423bf8573340a2a6feecbf980
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Unit test for bug 967, a side effect of bug 988.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 20d74f8407292fdbc7313eb9925403b9afd17a76
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created test for bug #979.

commit 93d87b2fc77031a6fe7d9c770ada5930f180e006
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 988 - "The type supplied with currentChanged signal in QTabWidget has changed in 1.0.6"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 472f8b7a75ad7d71df47bdfa136f5d8ff1ba56f0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Optimize my dumb code that do stuff with a QByteArray without knowing if will use it.

commit 779a1c7ba4038c618bd28291314f18ef72c371bf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for repr function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 562d8894ee24fdde5a7faeabd8f8d98577058915
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed gcc warning during QDate conversion compilation.

commit 606c44216eee9abc74faedd9f662e469f8f6f427
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #987.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit e3d93bcb06885aebee693f0357a131c6880f563c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fail during the signal connection or disconnection raises exception.
    
    Fixes bug #987.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit fe821e16f8c76ed9251377734e81c92c9edebaaf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed SignalManager bug during anonymous signal connection.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 657f9d5ff1134b31d14094ddbe0b6dc75fd586a4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added missing primitive types on QtCore type system.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 3212d979bdf6b097900964b27d39e7f31818e7ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix white space.

commit 1cf8ce88ca3b98ee5a064a0bb9763d6271d5ebd5
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #973.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 3528eba421236d32499585ba3c7ef2cb51911316
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed debug messages from the test.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 804c3c5cadcf54e8e86e358239f19ea4587ba57c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented inject code for function QWebPage.qt_metacall.
    
    This inject code is necessary due a workaround on C++ class QWebPage.
    Check de C++ doc for more information:
    
    http://doc.qt.nokia.com/4.7-snapshot/qwebpage.html#shouldInterruptJavaScript
    
    Fixes bug #973.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 94636bf3be50d5f46dc5928b3e5a920c1cf52888
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created utility function to call a python method usign args received in
    qt_metacall.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit a8f22c170af12f87eac70e52aedd87558418e929
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix complation warning relative to PyDateTime_IMPORT.

commit 4e91c6684416e88d41cae22915dd413cd207a0fa
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QMenu, QMenuBar, QToolBar clear function.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 7b48cd5df65ae6a0f7690284e408a4a8d80dfd15
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QMenu, QMenuBar, QToolBar clear function.
    
    During the clear function all QActions need be destroyed.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 2f6627138691067cabc59252901fa171a4a5f7e3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixex return policy on QNetworkAccessManager.createRequest.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 9ff7b38d9edab6a5e5b23a675a411ce5a053a067
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Register QVariantMap on TypeManager.
    
    fixes bug #959.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 321cd6235681318deca1267ddfedbd527d091bf0
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #959.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 2fe55feabd4f98b585f21f6f49e46af10035be84
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implement support to pyside debug mode on documentation generator.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Moura <lauro.neto@openbossa.org>

commit 703b4608157ccd3e65c3188d92ff8f514caf5ad1
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed build for Qt 4.6.

commit e6ac7155a09f66c96428c7e2970fa22dbe60783c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Dependency version update.

commit ef09666f25bc2fbb9327d0a158e8311ca0ed1372
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for __reduce__ of empty QColor.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 6311d46d0dbbeea195de8400298314b4b3188a8d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix QColor __reduce__ function.
    
    Fixes bug #983.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 3b4b9e471675c4a1e737021b29cbabba355c418b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unitest for bug #972.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit ceb3d27fbfa5195180f0b035bd5830b78cc7b601
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix QGraphicsProxyWidget.setWidget return policy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 4ab3bc368e61e07ca0372ea4f7d0a60a70b1182f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QSettings code snippet.

commit ad3a8ed9ce6bdba3c819df0a58b84deea2be6879
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented GlobalReceiverV2.
    
    A new implementation of GlobalRecever that optmize the signal
    connection.
    
    Fixes bug #928.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit cccee9c2c9bb2bc8c1ae93c6c43a67895f537af0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Do not generate QTest::qt_snprintf function.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit f9c9effbf77fee696480cae64fd9fbae74df2eaf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed conversion rules for QWebPage.javaScriptPrompt method.

commit caec3411765160add1e5ce2521a6da9f3e1b8d0c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated QtNetwork's type system.

commit 660e5e29664d4e4a13cc27e57e29963624243f7a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated QtDeclarative's type system.

commit f4e0aae844b6d204aa58fed9f7d3c864b30f306c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated QtWebKit's type system.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit d01a8a8f6ebc9d257333c01b15b767260b2250ec
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated QtXmlPattern's type system.

commit dda8cdc8fcef2a837e763acd4665c723e040e15c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated QtGui's type system.

commit 990d1b3651bb54ed3404ae4d9c97298da96a92aa
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated QtCore's type system.

commit c495e61e03e2b9842d6fa1495ce2f07fd55f0a26
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 964 - "QAbstractItemView.moveCursor() method is missing"
    
    Reviewer: Marcelo Lira <marcelol.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 0293a3ce36d22a32159ba286ab48b0087acc34d6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 950 - "implement Q_INVOKABLE"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6cdd438491ad7b127cc42151d2323b1bdf7db51d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QColor.__reduce__ function.
    
    Fixes bug #960.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 530ec26bea66e823d85ba61facb63282f0d83f4b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QColor.__repr__ and QColor.__str__ functions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit bea3664c38c90e6b61886ee0bcde1236b725b373
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented QColor.__repr__ and QColor.__str__ functions.
    
    Fixes bug #961.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6f1d896ed20e9f4a5ac30ec4f1bceb10cde71407
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #958.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 44eab232ed39e800048e74300c61a091ed3d71bc
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Remove obscure code from QUiLoader inject code.
    
    Fixes bug #958.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 612b27132d6747b4be69e2e2ec3f161d120859c6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed return policy from QUiLoader.load return object.
    
    This policy have already applied on glue code.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0e0b99f43a2f7352a490551d4fde85122caac6b6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #965.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit b261ff4642d4c4cc7e33862c3ea1477e3e6d89fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 953 - "Segfault when QObject is garbage collected after QTimer.singeShot"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 01b90a3a587d6afd9ec4bf3d6ad2ea83a9548b6d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Deprecated functions marked as deprecated.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5cc288b6796044d828ff463afa352703d6a59e90
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #951.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f40f69f6e1a65f3b025a3035d4de0a4eaf23b05f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated qmlRegisterType to register.
    
    qmlRegisterType uses QDeclarativeItem in template args, when the class is derived from QDeclarativeItem, otherwise uses QObject.
    
    Fixes bug #951.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9d4b14d31b9b24dd96a31079b7d28f63b2d941b7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix links on rel bar.

commit 405c26c30db706649f817261ec66d489475251d2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version to 1.0.6.

commit 8a28ab0783a17a5bf2bcff5a462afed587e570bb
Author: Didier Raboud <odyx@debian.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update pysidedocs theme to rely more on sphinx's base theme:
    
    - Drop files that are redundant with sphinx.
    - Add _templates/layout.html to add the needed customisation.
    - Update theme.conf to ensure theme inheritance.
    - Update pysidedocs.css to fit the theme with sphinx's basic theme.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit d64e0a5567ef1a087f2e98508b4a7d63394ab5a8
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Added test for signal with typedef
    
    Reviewer: Renato Filho <renato.filho@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit ca1c387257a755348654d46fe19a08cd10401c8a
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Removing uneeded file

commit 038b184c85c42a1ab398b5ed173f21f71991230a
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix plugin test
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit aea22e98b9580350897b9b3173be03ea9988f0c3
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add test for qml plugin.
    
    Simple test. No asserts. If broken should segfault

commit 96b4196d581138b24bd8057060b928298c292ca4
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fixes in QtWebkit
    
    Needed to make example from [1] work. Example will be added
    to pyside-examples.
    
    [1] http://blog.qtlabs.org.br/2011/05/30/transformando-o-qml-no-proximo-flash/

commit 1650d802a4f9dfcc4ccc47b3e4296ae4b58036f9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes Bug #944: Segfault on QIcon(None).pixmap()
    
    http://bugs.pyside.org/show_bug.cgi?id=944
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 7ecfb3e921bdc9777cf3a29937ff10d383bbe4f9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    DynamicMetaObject optimizations.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 39d9b90429441f95f35fb50926ca429cf809f7a6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Moved AutoArrayPointer from libpyside to libshiboken.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8bf041b71335f51bd08b59bc89828311ad810468
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't color links black.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 22e4c53b55b1c022e7a8493a6985fdb8b56fe874
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Better looking module listing page.

commit 5b276074c8844c9f488e158cb7e5c06ed9aa1f24
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Translate QHistoryState code snippet to Python.

commit 774f01761b57642ee0e2a24573acd25aafb6659e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Cosmetic changes on docs.

commit 74754b1e137933263ff018a930f55a27c4cf2db2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Created template code for added QObject's trUtf8 methods.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 12fe2a44f83ddd3ddf1d2978a406c9881b890b9f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Replaced hard coded variables by type system variables in QtCore and QtGui.

commit 20af27cac5c59ff891cd01c4902a3575f7f92241
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 923 - "Make QScriptValue (or QScriptValueIterator) implement the Python iterator protocol"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d38ba8cbb825a70402775745e3cff9c8fa432dae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    New CSS style for PySide docs.

commit 3a8ee64d1fa1de4e25874ab7010eb52e5b7030a8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed the "default-constructor" from some QtCore type entries.
    
    The generator was improved to do a better job figuring out a default
    constructor for types.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 11356a142b50aa7155d139408a86978a0fa9480a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed the remaining unnecessary QTextStream::operator>> methods.

commit 81beeae90dfc935287407c02e0c40d91a0961654
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes the support for QGLShaderProgram's array functions.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit f918fdb490e62ff4a2860058edb0cf0d7b7e6c6f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 941 - "Signals with QtCore.Qt types as arguments has invalid signatures"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 4f873e6f7918ab0e96e8be4861694ff1936b7bdd
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed windows compilation.

commit 57ff5a58c85c8cddfe5e3c8ef5423af5f7d78ec6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QScriptValue __repr__ function.

commit 74f8e9ab0aeb6d8a1429dc4646647005de0fefac
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implement a more detailed __repr__ function for QScriptValue.
    
    Fixes bug #922.

commit c1ece5e4d9b1bf4b2cf91ca3b4ab1ddb616da3f3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented 'QGLShaderProgram' array functions support.
    
    Fixes bug #940.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit ac1b61deb9f0b25fdfac9437280c09da35d61f3a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Update bug_931 unit test to check for isinstance.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 017fbee08f78a0dcab8c26b9da23f889752dce70
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented meta type for PySideSignal.
    
    This allow intercept isinstance function to make valid with any
    SignalInstance object.
    
    Fixes bug #931.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 9c2a629a96c5bad37f94654a4264242ac8dc2da5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use linked lists instead of lists to speed up a bit.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit be2e9569ddde5f674d562dbd269ffeecb60db652
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Small optimizations on libpyside.

commit af629d13fc63808f2f9fcdb64a6f7a6bf24dbc0e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for property decorator.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 5644a87c28c6e82346f057a5c8b524c40a7e94e4
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented Property decorator support.
    
    Fixes bug #900.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit b355cfc5dd48ef66a596656754d1e4fab2b6d622
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bumped version to 1.0.5

commit 85e5866c432134084637a1334ccfdd0f41735b65
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated shiboken version dependency.

commit b16f252af67cc5134915c32e267b62172182c621
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix typo on function modification signature.

commit 11b3bd6bc865e762984f8aac8076e1e318a9a198
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use realloc functions on MetaObject functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 38e6275aadb72ae4ac6d2009e16546d3d17e526f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented DynamicMetaObject optiomizations.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit d9ce3c55f68f7c7fbbd71be25ea39b11adc4024b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Update unit test for static metaobjet to work with new optimizations
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 6abeac0c1f5b22a087b618d7ba876c5c73aab792
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Update QMetaObject test to test optimization changes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 2535688f04b97cda65f617c226ed4bc2096db0cc
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Update unit test for max signals.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 55fb3a133d860523e289d8a56bf7ab05bbd404d6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed unit test for bug_847 mandelbug.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 3c2505a6254e9446c06dcbc27e5b9d0d8b4316bf
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 938 - "QTemporaryFile JPEG problem"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f1b330231afb8cb8662c62b2b2b6ec1166e71ca0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 937 - "missing pid method in QProcess"

commit 239ae999fa0d07893e5e29f611d1919374853b2f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 934 - "A __getitem__ of QByteArray behaves strange"

commit b2ec5cf60752e2ce8f9950fde809d841ad8e6793
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 890 - "Add signal connection example for valueChanged(int) on QSpinBox to the docs"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a69b5adfed6ec0e3afb369bde5c287c2f8b8f3e1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Moved test for bug #921 from QtCore's directory to QtGui's.
    
    Because it imports QtGui module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 0c2b68c9049980eaafb9fee77b2186837f00d843
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 821 - "Mapping interface for QPixmapCache"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2e98f87d20b5b310d40995acefb93b1a105025de
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #910 - installEventFilter() increments reference count on target object.
    
    http://bugs.pyside.org/show_bug.cgi?id=910
    
    Also added/fixed unit tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 33bf95628f11abfed959b6dc01d048d2f075087a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add a comma.

commit f893043a91330e60d896ec51a6f9fd6937fd6987
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 916 - "Missing info about when is possible to use keyword arguments in docs [was: QListWidgetItem's constructor ignores text parameter]"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0a41e336ba25df2d87218555a3a15f96dcc3ec77
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 926 - "qmlRegisterType does not work with QObject"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit b6e0977d867acdb2529f23c407343f95908662e2
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix memory leak on GlobalReceiver.

commit 33301b9744b51d10e17a448636aa6a552eb72671
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #931.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 58e3040802eedae58e9dd6443c2a59ebaa97f888
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Renamed PySide.Signal instance class to PySide.SignalInstance.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 628f2038024f1ee561287ca14fd00965f7c24e0e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #921.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit b10a254814f3021489ade6ab626f5b6675f86858
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Disconnect signals during the class destroy.
    
    Fix bug #921.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 107ee51732f4d66907908dbca3bb31ec9c1ab378
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update copyright year of license boiler plate.

commit 2fd0e8fcb81361fac0f06737d7c694d50372412e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 924 - "Allow QScriptValue to be accessed via []"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6dea41cee468c5fee8145ddb92ef04dd889feff0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 920 - "Cannot use same slot for two signals"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6591448440f7c3b9ddf0df26682a36247043a28a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #919.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 28592411f4c2aac67e5af7436557ec5c483bf3cf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix argument name on QStyle functions, and modify default value.
    
    Fixes bug #919.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 50e4abe0c2bd193ed9d1452e00a3a615a4576e38
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #915.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 1112473783a908e6cf25e8151fc40b58a968480a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QGraphicsView.scene return policy.
    
    Fixes bug #915.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f66c09e387682e92668cf951192076f20e6edebc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 929 - "pkg-config files do not know about Python version tags"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d18945fcf4ce3963bc8792ffa25ed4f2ea54822e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #927.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit eaae6e4dcfae061972a62dc58e4dcfc1df46aba0
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QThreadPool globalInstance ownership rules.
    
    Fixed QThreadPool start, tryStart ownership rules.
    
    Fixes bug #927.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 3a4369cf80199d5ab0dd1b5bf80a81abe10902e7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed polymorphic-id-expression from  QDeclarativeItem.
    
    Fixes bug #925.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 4e5b5b2f189beb229f510bf237c29ac06455e2c7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #899.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 597d3ab0a424c7da3d5216ba6a4a950c5e5a8b5f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Increment reference for functions used on QtCore.Property.
    
    Fix bug #899.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cc5431f108cdcd6d6dc549b3b35d4a45c9ffc837
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed enum test.

commit 6138fb93d49460f19bbd0e8ce1293be5846c1ee4
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #886.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit ed5563bfce496a91dd328bd8cd918e62a448a218
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for duplicated signals.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit ab4ecfa72f0112f1331bf9903a211e3b4b8fe905
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed PySide signal object constructor.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 96c8551a49af40d3116c07eb4918b76d2066213d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #896.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit c9e2c1ad8ad970e910dcd607dbd1678d8765f87e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented staticMetaObject property for QObjects.

commit f1a737a2207b57d8976d4b0dc64c33e378dfe302
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 913 - "Widgets inside QTabWidget are not exported as members of the containing widget"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 505cf202fbf82dca6d3742166195273e103057fc
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Translate Shiboken enums to strings during the signal connection.
    
    Fixes bug #903.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fd45794c3a5acbb99d35bd6add3ad59c3ed83907
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #909.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 07285f0d283d5e8f729fbeef27550f1770e497a8
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix QUiLoader::load function ownership rules.
    
    fixes bug #909.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 51ea3a52305f4c0726c9d285fc5a987d9a13471c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QMainWindow ownership control.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 8c5281ae100df81b7771a8a242c9ee0fc979251e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #899 - http://bugs.pyside.org/show_bug.cgi?id=899
    
    Added unit test.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit df39c3a97d5ea1c7ecad2a7faff30c86e420251e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unittest for bug #407.

commit 10f88e23f70f3fce4f90e143cf3151f7a5d84020
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #897.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 930d1f279a715d6600261af3336af18cdce15fe4
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed propagation of properties for user-defined types.
    
    Fixes bug #897.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit aa86eae914494749d46b7403041e8c30cda38997
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed test case, when the destroyed() signal is emitted all C++ objects are just QObject because their up destructors were already called.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 489cd2402ec7bc66047af91508e4306ce97e6009
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove reference leak on global receiver.

commit 3f3f52a960b80dcee5fa29d6e5b3cfd37ffca656
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bumped version to 1.0.4.

commit 7220804be6899b59ae267c8432fbaf05a90f5d96
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created test for QObject.inherits.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 7f611d1c53511e730abca92f34376a7cca7789a7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed glue code for QObject.inherits function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit aa9e8ca7efc026238b0b7c75b166dc568b69bef4
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QWidget.parentWidget return policy.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit db40ec67b10e50310dea7d8b9a1bb5c734c232ba
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fill qApp is any QApplication is active during the QtGui moude import.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2b1df1698cb6df77229fcfc9a8422bc9e28a1b62
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated PySide type systems to use the new type system variables: %ISCONVERTIBLE and %CHECKTYPE.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 07229012b7a3cd5f80fb944e7a4437246b65f018
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 879 - "QDoubleSpinBox: Can't call the parent validate() method from a subclass"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 933669eeb7cd63937fa92b4e3c65641b7f041ed3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 822 - "Can't use QApplication without X"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 1be25c54bb6e4759779347ed609f871311e20ffd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added an unit test for bug #871.
    
    http://bugs.pyside.org/show_bug.cgi?id=871
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit ee602e80f1ccbce91c0203d750df8e9f7d28752b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed default return value for "QStyleOptionViewItem QAbstractItemView::viewOptions() const".
    
    Wrong code would be generated if compiling avoiding the "protected hack".

commit 82f4f13d27c85454bb80f9664754a9a337deee21
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 877 - "Fatal Python error on application quit."
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>

commit 35b252ab2bae39280b19bd82117ffa243032c37d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 870 - "QStylePainter.drawControl doesn't draw anything"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ba2510c52a384b1f6b853a176613551f7ae34364
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to MSG type on windows.

commit 45bf56e8311cbe9ff19ff3978c55070e56233aab
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed unnecessary functions from QByteArray.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a698807fd0cbc3b0c392375bb8d78218cb4adece
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 869 - "QDateTimeEdit initial time problem"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e48aa921039e608bbe1dea0adfeb381be87a29df
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 424 - "QDockWidget.setTitleBarWidget does not accept 0"

commit 82612584c6030a94dcae27d2c841ae78cd6156e6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Show perm links only when the mouse hover on title.

commit 99b07e3221fe6b20cb6e92b54fc115ccd3072c04
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update javascript files used in sphinx generated documentation.

commit 00b1216fb9022a64a2c32c58eb968925ee29be44
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #860.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 21dc8239726968738636d77d7e7f29164dc14ddb
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed signal connection with native c++ slot.
    
    Fixes bug #860.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 2b78766cdc750ab28ba68795be115403d1c8d133
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 827 - "Anchor sign for headers to copy links for sections"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 80c101172197fec4b05e8c56029ea13bb43820b0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 631 - "QSocketNotifier: Accept file-like object (with .fileno() method) in constructor"

commit 0d2705eb113b2a74d2cd4cbfff55ef61cf690f30
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Avoid warnings about redefined constants.

commit 0b1eea71164c6980303a152438c55991c70c016d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Unit test for bug862 - "Problems when printing objects"

commit 81272187412a2c6a3a13c95307c3f45d8f024562
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed the rejection of QAbstractFileEngine.beginEntryList.
    
    Added an unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 046bccece9b01656489f1f83bf55a575bb461239
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Moved internalPointer methods code injection into a code template.

commit bec5ca48fd72f17c7bb5b3e43eb78edada67123b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated example to handle with Python warnings.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 75154e2f2fe237d33438a4ce3730ced145c475e4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Port all buffer related code to the new Shiboken buffer interface.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 606a90d4069bbad479216e4dc1dfa92ede39f2e9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QObject.eventFilter function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9408505a24d26725e518dd0852d8a1fb1640de6b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed problems with eventFilter function destruction order.
    
    The object passed to eventFilter function will keep a reference
    to the listener object, this will ensure the destruction order.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2e985afb3aee480e4b7e1626b34bd998027807b8
Author: renato araujo <renato@renatoPC.indt.org>
Commit: renato araujo <renato@renatoPC.indt.org>

    Created ClassInfo documentation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
                  Hugo Parente <hugo.lima@openbossa.org>

commit 35630f32ffc6d2d0e97d6f1ce40f0c32db96d06f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: renato araujo <renato@renatoPC.indt.org>

    Updated generatorrunner dependency version.

commit 30444ccab72906fe3f57ca63c770127d40f191ea
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Minor change in a doc code snippet.

commit 2aeac5e05b43c1c3e0ffb1ef9d4fe4a19bfc1919
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix memory leak on QEasingCuverFunctor.

commit 774223adbdf3a6287f99c6828ef00c033018d174
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Check if the same python object arrive on destroyed signal.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 959aa385f576aca35f86fc04f8336e6a4ce044f1
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created DestroyListener class.
    
    This class is used to keep the Python object live until the signal destroyed emission.
    
    With this is possible to use the QObject on destruction signal.
    
    Fixes bug #505.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 05431cbfc03a815d0f56e63728dca4b8e4a52d0a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed reference leek on global receiver callback call.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 1abf8c614933d4e3fdc5cd067191637fa8baad72
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for ClassInfo class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 04be2b1ca26d5d4b51d7187542488e7f2f296e77
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented PySide::ClassInfo Object.
    
    This class reproduce the Qt macro Q_CLASSINFO behavior.
    
    Eg.:
        @QtCore.ClassInfo(author='PySide', url='http://www.pyside.org')
    
    fixes bug #705.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit fe06dba43ca7cd7ed5864b1035bfca46acc3dadb
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create checkType for libpyside objects.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cef6db95483f278212429a63bd4e6814a81066f8
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix indentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b112512793f2f74ec83b87816813935f79e88cc4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the missing QPixmapCache.Key class to the type system.
    
    Unit tests for QPixmapCache were also added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 6e16fd86f41569070f1114711b46db0d7f76f1c9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for function QEasingCuver.setCustomType.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 40277720ae456b7ef45afb0ceab10e208c352370
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to QEasingCurve.setCustomType.
    
    fixes bug #725.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b9fd78a65f438c504d0b4002223083f82c80d77f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create PySideWeakRef class.
    
    With this class you can use a c function as a callback on PyObject destruction.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d5fd41d8ee71ebb744c1bba02cc73920f5eb933b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove ugly gray background on documentation see-also links.

commit a3628e87526aa24ba50afc9b97383c27aa7324e4
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Update test for python 2.5
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit eb133c76b8fc51399f2ca93c33346fa3bb64850e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 803 - "QWebElementCollection.operator[] is not implemented"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a859097f565a5b973954eac86f2455ec31801a94
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix typo
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>

commit 3546a3674f78abb1f3455e56456a571c6bcb4bef
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented convertion from Python types for QDate, QTime, QDateTime.
    
    Fixes bug #680
    
    Reviewer: pcacjr <pcacjr@gmail.com>
              Hugo Parente <hugo.lima@openbossa.org>

commit 75d27311e5780bd12ab26380d31b100144d9aaf7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 686 - "Request to make Q[Mutex|Read|Write]Locker context managers"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ba448baf4d35df26035e23bf1c6c5608375b0030
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    White spaces removal...

commit e1a137d33e8045375e602339de4f44b42b490702
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Unit test for bug 634, based on code from Marcus Lindblom.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 82fc89093ced6799c2fdf3f1d81f5818c209ef59
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #854.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 29cd3b1351e2a7145b16a3e8fff15cb07446f879
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed kee-reference rule.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 5860f786a0bf05450378edc00c0a13ca46f48137
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 857 - "64bit Windows build broken"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.filho@openbossa.org>

commit 5ae1e6460bc5ef91884e92e7b23a1cff32bc2ca5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added tests for bug #716 - QPersistentModelIndex isn't convertible to QModelIndex
    
    The main test (exactly the same as reported) was added to QtGui tests,
    but also extended QAbstractItemModel test with a case that is the
    essence of the problem.
    
    http://bugs.pyside.org/show_bug.cgi?id=716
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit bf4e4cdb89755ae7cc26796c0f97f7b5399587cb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    QPersistentModelIndex has its "operator const QModelIndex&() const" method back.

commit 5a408b2b9da431e9366b9c932c2aa3fd03d32e5a
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit tests for bug #606
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a8b02e046bdf09886972712d201be553d32cedaf
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix bug #606
    
    Add toTuple() function to these all classes:
        - QPoint/QPointF/QSize/QSizeF/QVector2D/QVector3D/QVector4D
        - QLine/QLineF/QColor
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 7780ccddc138a28bd5e3b1c85b3fb48a08693663
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Add template to toTuple() functions
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>

commit ac377b7fbd9ddabddb89c48d649344b5da968924
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Always use the local Qt headers + global.h.in cleanup.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 63c4cb9f9efb24b18b9eb56a63a0c12c71dd720d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Only add Qt4.6 classes when using Qt4.6 on QtTest and QtGui.

commit 70a776c6ffec7d5e067be38844814dfd3733c818
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Correctly set SUPPORTED_QT_VERSION variable to the current Qt version.

commit f4128e89ed032dfeee07814a5bdbd476d46d3487
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add since attribute for classes and enums added on Qt4.6 and Qt4.7.

commit b552641feb62473c0866aeb69cf55fd3e6b74488
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QGraphicsItem compilation on Qt4.5.

commit c08b1ba563aa5f22f97ac951a8373c67614d0100
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QColor wrapper compilation on Qt4.5.

commit 0c4fbcf5aded6780508084604a7f5059d8e7ea72
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Be compatible with Qt4.5, i.e. no QScopedPointer.

commit 4d90463624d27fd80b59d68d69ef17e7b1b2e869
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove typesystem verbosity after fix of bug 417.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit a5249a70e13891884ed62bc47558897377a4b800
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use add-function on QCoreApplication and QApplication constructors.
    
    This was needed after a fix in the shiboken generator regarding the
    tp_init initialization.

commit 3669f32af8e6a39ba9add8d9e355639110bb9f1e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #312.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 78e120ec02e331c6561c3e5e9c63ab0e2dce1aa1
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Uses QMetaObject revision 3.
    
    This allow to register signal and slot in any order.
    
    Fixes bug #312
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit fc331f37e3ee96a70123946e14ab29e7bc3bf8a3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created test for mew pythonic functions on QTransform class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 99c62a3a0911210c361bd84198a8ee1ea2c75fa6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create pythonic functions for QTransform class.
    
    fixes bug #615.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 18e0ece1c964079b4b71e46bb1d1862950ea7935
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix assert in bug 722 unit test.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 54e97b8e14613348a881f3375b1f0e9b7bbf0df5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove the restriction of detecing QtOpenGL module just when the gl.h header was found.
    
    This is needed to be able to compile the QtOpenGL module on Linux when using OpenGL-ES
    backend. On the other hand OpenGL-ES support isn't yet supported under MS Windows but I
    don't think that this should be a problem at all.

commit 450d1a98a59db29a43dc7bb4b21f33af3e2101e8
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Avoid run PyObjectWrapper operators without python interpreter.
    
    Fixes bug #829.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 7fb34b368574620c52d80f18c7db23565d29e28d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #847.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 8ca58af304192e92c68afc57117569ee1b9eb5e9
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for bug #835
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 6e95894d105e34dff28e375ea24e190599573564
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix bug #835 - "pyside breaks descriptor protocol"
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2d5207b32c742b084c7c6a0ca6649f82eaeafaef
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix path of pysideqmlregistertype.cpp.

commit 206474a5a3e6ae7a6a36701a8f30d7ed73280546
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 825 - "Can't register a class using that uses metaclasses in QML using qmlRegisterType"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 964eb13adf4760a20c07e629f62c7d6f14fac132
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated snippets code to use QFileSystemModel instead of deprecated class QDirModel.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 29c263eeb8bc736d2a8d00ac7125db70b0d2fb6a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Moved unit test of bug 834 from QtCore to QtGui, as it tests QtGui classes.

commit f70ff13351574b1b162485d5a6dd72b95abddae0
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #820.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a31fb14a1f37d9a10283e1e257389da9c1a74105
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed signal name parser.
    
    Fixes bug #820.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 84b4f2da0a2230bb55544f27cb5ec482296eb139
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QSysInfo class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 99ca5568107a4d4ed25dd49611ce4d2acfdfc68a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QSysInfo.Endian enum detection on MacOs.
    
    Fixes bug #809.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 0dd57ef4a51029c4e5c8e2f00ea92454caa96444
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test fo QMacStyle class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 645c80134f79254173d22240d106d9fb0a567aee
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Included QMacStyle class check.
    Included QMacStyle header on global include.
    
    Fixes bug #840
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 06051ca647627e4c158ae5745867093926d512a8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 786 -  "There's no __eq__ for all classes inherited from ObjectDescription<T> due to an Apiextractor bug."
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 3590ad14d5659bee2ec62d14d7f7c5bbd51adf70
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed some typos on unit test for bug #841

commit 95dd5c0861f31318f7d8213d59792d7159283714
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #785.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 34f0fe99da94178d88e549f33486559998921833
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Put back missing functions for class QItemSelection.
    
    fixes bug #785.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 4175398b071c05bcc7166533c97972bd94a688ff
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 797 - "error on ui file load"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 9b793705feae3da73230198d61cb29627b558e6a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 844 - "Crash in QGraphicsItem::toGraphicsObject when printing obj reference"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit f5669ba34268dc9ca39c11cbc1b1cf893457deb0
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for bug #834
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a0d7bab4be429b1b63e3b1da3d573dd84dcf21cc
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix bug #834 - "Segfault on childEvent"
    
    The fix was basically setting the owner attribute to a correct value.
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 393ddb46faa14722107f2f012dc4d836cb553da3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create manually dir for tests.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 13d505c9c0a08381113154fd0880b6ac64e7ebf3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QStandardItem::clone and QStandardItemModel::setItemPrototype ownership rules.
    
    Fixes bug #841.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 9ebe4ba6affbe6c2adf0b9c8c8c766e522c26cc3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated unit test for bug #617 to new enum repr format.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit e9c7505375b10992f1cd21e57300063cfcc3a441
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #826.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ee7b26545bd573a9d43b39dfed726bfa2fd72bdf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #839.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 49ba9c9cd5010e4a4d746a8f5771bf95efb0e14d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented QTestTouch functions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit af37aaf259e9500a8aaf438c469cb094f5aeeb88
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump version and updated dependency version required.

commit 011db01f65dd1515bac6e68becbbb0173c96a360
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed bug 728 to use the correct arguments on function call.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 1cc2ccbcd8a58b1219b92d542253fd1a6f3d0913
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for QIPv6Address
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2130c2dce50f4cd2a3087b480c609878f715e0f6
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix bug #788 - "QIPv6Address.__getitem__ is missing."
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d34e1541900d777d195e2f9c0c5049b2c0018cb2
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QFileDialog functions which used QString as pointer to return values
    
    Fixes bug #819
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 3b4499891cab858688eeb86c1d8563f72a11e3c3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QKeyEvent polymorphic-id-expression to support QEvent::ShortcutOverride.
    
    Applyed patch from Evan Patterson <epatters@enthought.com>
    Fixes bug #833
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit fa34fa272095dd9f1905743ac19cfe4d0a7f9e2c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix documentation bug 853 - "Provide constants for Qt and PySide version"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit b32b614d1b5d61535aa60c6e192014acaf2be96d
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Update inheritance diagram sphinx extension.
    
    Better handling missing classes.
    
    Reviewer: Renato Araujo <renato.filho@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit a68d4b04f321e94d279abf96b80d78d7ced9024c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug 829.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 955316b5cabafa2134a9c98269161be6df7ead54
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented stream operator for PyObjectWrapper.
    
    Fixes bug #829.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 75bcc4dbddd94fcf232f108f3812f56506fdc6ba
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QVariant conversion for dictionary.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit aa8c4f6b2e4dc0e0e0b7bc2e0da92527976fc12a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 836 - "Pyside crashes with more than four base classes"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 1ccb6de4998a3ddae4612face224d12ceff4a3ce
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 766 - "Constructor "QImage(const char* const xpm[])" missing"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8d9bf59fb1a06d2e2aa9143bae80a5bbb688c051
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bugs 776 and 777
    Bug 776 - "Operator "QPolygon::operator<<(QPoint)" missing"
    Bug 777 - "Operator "QPolygon::operator<<(QVector<QPoint>)" missing"

commit 2179e02862be56d34bb39994331cb56242066185
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix test on windows.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit afc0bb1fee75b387e5134fd325c7cb2ae0f008af
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #778.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit de6a90bdcbf4b1528cf385ff0f382394e12f67f3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to iterator on QTreeWidgetItemIterator.
    
    Fixes bug #778.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 1f013e75e30532c60274355545e11ad8e6c66cf5
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test to QKeySequence convertion to QVariant.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 5349174a3c61a52e300b98a80816ffb0c479f453
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QKeySequence convertion to QVariant.
    
    Fixes bug #775.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cbdafab9e7338e34be3de098500801e3f353dfe7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for QKeySequence.operator[].
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 3d3dc4653148b7af4dbbc10ae4e18094c06da69d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to QKeySequence.operator[].
    
    Fixes bug #774.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit eb6145b96b73f1e60fe164bcf3a3ad397abe4640
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bugs 771, 772, 779, 780, 781, 782, 783 and 784
    Bug 771 - "Constructor "QStandardItem(const QStandardItem&)" missing"
    Bug 772 - "Method "QPainter::drawConvexPolygon(const QPoint* points, int pointCount)" missing"
    Bug 779 - "Method "QPainter::drawLines(const QLine* lines, int lineCount)" missing"
    Bug 780 - "Method "QPainter::drawLines(const QPoint*, int)" missing"
    Bug 781 - "Method "QPainter::drawPoints(const QPoint*, int)" missing"
    Bug 782 - "Method "QPainter::drawPolygon(const QPointF*, int, Qt::FillRule)" missing"
    Bug 783 - "Method "QPainter::drawPolyline(const QPoint*, int)" missing"
    Bug 784 - "Method "QPainter::drawRects(const QRect*, int)" missing"
    
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 101671f474e378a40380c69ef80a79ae9bb2bdf5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 768 - "Method "QGraphicsItemGroup* QGraphicsScene::createItemGroup(const QList<QGraphicsItem*>& items)" missing"
    Fix bug 769 - "Method "QGraphicsScene::destroyItemGroup(QGraphicsItemGroup* group)" missing"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit d7185772bcc4219f78b26bb08d34ba07f4cbc760
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 765 - "Method "QRect QStyle::itemTextRect(const QFontMetrics&,constQRect&,int,bool,const QString&) const" missing"

commit 0c63e37820a9df0119bb58aad0e2daa96b58b8c0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 760 - "Method "void QMatrix::map(int x,int y,int* tx,int* ty)const" missing"
    Fix bug 761 - "Method "void QMatrix::map(qreal x, qreal y, qreal* tx, qreal* ty) const" missing"

commit 6b3a7f904f17853b56f53c4f0e948f8183821264
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix unit test bug_750 and qpicture_test to avoid deadlock in some plataforms.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 7d35681fceedba9d365ef307cd0a38f1b8e140d4
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented test for QWebFrame.metadata function.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a07d1926250b35caa2263a18f77cbcfd3f9f6065
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented conversion from QMultiMap to Python dictonary.
    
    Fixes bug #773.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit cd1dbb0b9da900e83cb1ce62e20e901e1b24cd6d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for function QPicture.setData
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 1efb6aeacc6d1bf89f214c2c4fd8612e812f60ad
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented necessary convertions rules for function QPicture.setData.
    
    Fixes bug #759
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit db9547be72d4e44bab72704b1de86ccffc3e7f07
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed reference leak on PySideSignal for QTimer.SingleShot
    
    Fixes bug #815.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit c36b1ff7e76206a077a9f1c34d2d37f35ec9483f
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Set WA_InputMethodEnabled in test.
    
    If WA_InputMethodMethod is not set, setFocusWidget will fail
    in a ASSERT in a debug-compiled Qt.
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit df742a5905c2548b4f939ca92c5834f50b76246f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #811.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 709420df8e0954b80c8386666beb6f74b8eae94f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    fix QTextBlock.setUserData reference leak.
    
    Fixes bug #811.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6700ddb9cbf408466f2b74fcd1648fb8b3d33a5d
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix bug 814 test.
    
    Using the modelData property name was causing problems
    with a debug-build Qt.
    
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 3fb374e271b8f8702b7a544159b0c260b8b4d077
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed test to avoid problems with float numbers in different archs.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e6b3d26d7421071be0875f29483db8611e8dafb2
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Exported missing enums on phonon.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6cd49a79f648bf3ad51e18b133d0614dc15a01bc
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for ObjectDescription.fromIndex.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8807a885e6945dc6e03acc6c9dc402b0b4bc758d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented function ObjectDescription.fromIndex.
    
    Fixes bug #787.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 406293f5aa26a0dfa6b30e82c708d31e63fa83fe
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix round problems on unit test.

commit 04a2f239888a46140d9d28c441d48234fad34a6f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for bug #757.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 13f6d71f20b5a0b73f180f2f3cbcb774049cf142
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixes Bug #757 - Constructor "QPixmap(const char* const[] xpm)" missing.
    
    http://bugs.pyside.org/show_bug.cgi?id=757
    
    Reviewer: Renato Araujo <renato.filho@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a5b785fff4a98b9b9101b4d2cf6fca176a956d0e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Avoid delete file from source dir.

commit 13740062066be57c1494f8690fe72f2f96dd71e3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 717 - "QByteArray doesn't honor \0 inside strings."
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a230b243d0e24c00a2731468ee6f2e1a3d34bd5e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix inject code of QByteArray::fromRawData.
    
    The QByteArray returned must share, nto copy, the string contents.

commit 2400157808e0e4112f32cb6b309b0b4370b313ae
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #755 - Method "void QInputContext::setFocusWidget(QWidget*)" missing
    
    Also added an unit test.
    
    http://bugs.pyside.org/show_bug.cgi?id=755
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit e24401e58636fbb273cb2a4e7a2569400e9c9f78
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bugs 753 and 754.
    
    Bug #753 - Method "void QTextDocument::undo(QTextCursor*)" missing
    Bug #754 - Method "void QTextDocument::redo(QTextCursor*)" missing
    
    Also added an unit test.

commit 1d842f57a2a7985ddc362860f2b380f5e366bac6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #741 - Method "qreal QTextLine::cursorToX(int*,Edge) const" missing.
    
    Also added unit tests.
    
    http://bugs.pyside.org/show_bug.cgi?id=741

commit 39c32e371237580fbfb746e068351fe0e83636b6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #742 - Method "void QPrinter::getPageMargins(qreal*,qreal*,qreal*,qreal*,Unit) const" missing
    
    Also added unit tests.
    
    http://bugs.pyside.org/show_bug.cgi?id=742

commit 30c19e9c41368559104a9943f1ab71b2995186b3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed CMakeLists.txt files to prevent static source files of being deleted by "make clean".

commit 8408da40caaa7343b340ae9ddc957639d00966fa
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    The funcition QSplashScreen.repaint was removed because that override the QWidget.repaint.
    
    This will save some genereted code and does not produce any side-effect.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 96750087d9ece01bdac8be421e50e0fa7fdc0797
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unittest for bug #750.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 59ab3c30493031283561a3760f13d7f967bfbd1d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Put back QPainter.fontInfo.
    
    Fixes bug #750.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 46fc033929c027df75cf28bbcf240e893465e541
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #743.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a0b43fbc23b9433480a485eb29923cf13bbaabb3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to mapping on QMatrix4x4.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 94310a7b19c6d7a9013702da5b91b6fa2732c6ce
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #740.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d71a6a8c3a7e6ef2c3caf97ab1a12b4784968d1a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented function QBitmap.fromData.
    
    Fixes bug #740
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a5e20dfd75090da0525be90b0ecb767f07158386
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #722.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 3e69981b4bb752615173e2a5a9657d00b957ab0f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use PyFloat as double in signal signatures.
    
    Fix bug #722.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit c269e0db00ca4fd9cc7db22a8434441ccb6fc78a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removes the removal of QMatrix4x4 call operators.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 1c0279fa25422927a549545b1a88994240fc48e4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix code injection of QIODevice to support returning an error.

commit 1e149f3de44dd197ff65bbcd66eb29cff34e9c25
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 723 - "Missing QAbstractFileEngine.read and QAbstractFileEngine.readLine"

commit 741bc56e4b915793273c2bc661e628c20b8845c9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created QtDeclarative.ListProperty documentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit c8a11c179a19781e53355088996527345b525748
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for bug #816.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d0ad9d27aa1b52d84e0f1fa2b3f0506e6571bb4a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed QCoreApplication.instance method to handle with application created before PySide module loading.
    
    Fixes bug #816.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 6da3e78014bacc89a754c26cd1f05c7304cd6e77
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #814.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 7abf74adb97ca4d87fb264642f73e6a7cc5d6e5f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated dependency version.

commit 9f73d5ecf1cc5cdab5afb0095802569cf8f1b5c1
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed bug #400 link description.

commit e7413828a18531ab97b854d953edfca5aeadfe3c
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unitest for bug #688.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a0c72f28c6a4de2a26cb38bd81cc22cd95a40e78
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to pyton iterator in QTextFrame::iterator.
    
    Fixes bug #688.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f3961387a96f6ef6137575b8418402fa2ad4c07c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix 720 - "QByteArray prints itself wrong, on tp_print and tp_repr"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 85f65194ef63467e100da6ca92cf18d1b70b6566
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 724 - "Missing QAbstractFileEngine.map method"

commit 3b9481c24c13e1b4440e8aeabc7080ee26fa64bb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 721 - "QFile doesn't support map and unmap functions."

commit 40718156a6d1b5b5c87185f281a8d2c62fe40091
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove unused variables and warnings when using gcc 4.6.

commit 51e9dfc42820c8bcf69e688f92c1f85ae4c86b5c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated type system files to use the new %BEGIN_ALLOW_THREADS and %END_ALLOW_THREADS variables.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8e7845be18bd1496f4e580db4f9c76f0769ff151
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bugs 746, 747 and 748.
    
    Bug #746 - Method "QFormLayout::getLayoutPosition(QLayout*,int*,QFormLayout::ItemRole*)const" missing
    Bug #747 - Method "QFormLayout::getWidgetPosition(QWidget*,int*,QFormLayout::ItemRole*)const" missing
    Bug #748 - Method "QFormLayout::getItemPosition(int,int*,QFormLayout::ItemRole*)const" missing
    
    Also added unit tests.

commit 2c6a44feee72e8cc586f18bbd09b6609c90b3746
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bugs 739 and 752.
    
    Bug #739 - Method "QTransform::map(qreal x, qreal y, qreal* tx, qreal* ty) const" missing
    Bug #752 - Method "void QSplitter::getRange(int index, int* min, int* max) const" missing
    
    Also added unit tests.

commit a513d831cd037856cd0b164355b068276908b671
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Do *not* mix tabs and spaces.

commit 8e0e7ef0b6a93f7e1945e90d2a5c86f5cc3b5dc0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bugs 744, 745, 756, 758 and 764.
    
    Bug #744 - Method "void QGraphicsLayout::getContentsMargins(qreal*,qreal*,qreal*,qreal*) const" missing
    Bug #745 - Method "void QGraphicsLayoutItem::getContentsMargins(qreal*,qreal*,qreal*,qreal*) const" missing
    Bug #756 - Method "void QWidget::getContentsMargins(int*,int*,int*,int*) const" missing
    Bug #758 - Method "void QTextCursor::selectedTableCells(int*,int*,int*,int*) const" missing
    Bug #764 - Method "void QLayout::getContentsMargins(int*,int*,int*,int*) const" missing
    
    Also added unit tests.

commit 62448f99e73844478b09596eead2d1fac9c067a8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Merged fix_int*... and fix_qreal*... type system templates.
    
    Also modified the method call to be friendlier with virtual methods.

commit ee17f8c970b83c6068025281167f71db13f1aba4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 1.0.2

commit d984cf24ccff471e30a0ee60e24735d6616da4ed
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create unit test for bug #793.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit e39188d636385200994985a33c06e2df043ccd3b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Change the order of function call on destructionVisitor to avoid problems with cyclic dependency.
    
    Fixes bug #793.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit bbba1cc470ed9df8196cc3cf9a4996dada4b4b22
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #489 - PySide.QtGui.QImage with string buffer argument.
    
    http://bugs.pyside.org/show_bug.cgi?id=489
    
    Also added an unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 9ffb2ef542a8a5d3e89fe913ea760208eed108a3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 712 - "QtGui.QFormLayout doesn't have setItem() function"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 4239b567107e9b800d38f9c1d1f02a23009e9858
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 540 - "Duplicate entries in QRegExp docs"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f8bc57c61cfe16232a0aad8fb8eb6ae5d12ca7c9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix doc bug 794 - "QPixmapCache.find example is wrong"

commit 9024884495b9a19368b64c96eb75ddb117b1e5c3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 790 - "QStyledItemDelegate Signal with lambda and QModelIndex: Fatal Python error: PyEval_SaveThread: NULL tstate"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c50d08e4c8cbe815a691df7d3fea201cef64d69e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 694 - "QWebPage::extensions need injected overloads due to required casts on C++ version"

commit 3cd2cad128f1d6f22a79fce1e97dde9e1f08485b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 699 - "PySide.QtCore.Property doesn't throw a TypeError if the first arg isn't a PyType."

commit 6f8f72824181d469b0b855790a29ce56ce38e995
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 685 - "The second arg. of QObject.findChildren doesn't have a default value and doesn't support regexes."
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f645a79f0397a92ef52ff42524752339fc213825
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix a type in QtGui type system.

commit 2f4a1f634c22f01a23f5ff0701d50a5d062de92a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use set instead of add on reference-count action attribute.

commit e07b306bb4b760cbfc258d95c92370f50260d1d0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Type systems of all modules but QtCore and QtGui reviewed.

commit 7849b4262ff33407274c3aa17747bba43cfd390d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 736 - "Signal/Slot is not working at all"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 4749d146426e5b937f121963424d5613aaa0fcb9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Changed local variable naming style.

commit 26ae1259a9adb35b2579922dc44f06d5fbdbf5a3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Revert "Fixed test for bug #674 to works with new getattr check."
    
    This reverts commit a6f0d0cb5209655bd3f1727b9ddb03ff547104a6.

commit 78ca4c07492e092c9b7de5c1a126465dfbf7ad8b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Only raise 'RuntimeError' for function call to avoid problems with contructor order calls.

commit 02f9ca54171d317f9f9a056ee5a6ed8650f46f7a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added comments for all method removals.
    
    And some other clean ups.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 189717cdb196e4f2f2d47f6fa93b78d2e2e47a42
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 728 - "QFileDialog.getOpenFileNames never returns (hangs)"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2bd54857ed68407edfb68aecdac4de90b29f401b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #726.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 8ce3644a133753a3f1dacbe7c6022ce1db13cc81
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Does not use normalizeSignature in functions with return type.
    
    Fix bug #726.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 13d9f714c5a990ff22b2e1621e1706ed81a1846b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add unit test for bug 693 - "Heap corruption or double free reported on program exit"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a6f0d0cb5209655bd3f1727b9ddb03ff547104a6
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed test for bug #674 to works with new getattr check.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fb3bae60f4d5b0932db091af7f21aa2acb76a56f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #696.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 880e6a28b6336ebe77bd3369b65c32ab8b01b95f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Check if class is valid before call meta object function on class getattro function.
    
    Fix bug #696.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit b1a1f61c64282302b09d31ad2aa550200a7acee7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #711.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 9a7733ef8cadc7cab88f420ee7dd1a504047b325
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fix QToolbar.clear parent policy.
    
    Fixes bug #711.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit a571d9bd9858e251268cd553db0cec1516888fe6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add unit test for bug 706 - "dataChanged signal raise an incorrect TypeError"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 008798b0e3e99235d3912d885b8322710c41338b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 718 - "PySide/PyQt4 QByteArray incompatibilities: setNum method"
    Fix bug 719 - "PySide/PyQt4 QByteArray incompatibilities: appendByte method"

commit 25026120a1efd31fb4e3952dca3a344ff2a98d15
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add comments to some function removals.

commit 4c149aef4ecc7e37be83b6e57ea8b7cfbd4a551a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created unit test for bug #714.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 957fa171a97b4ae0261f8cef0fe9e30b364a86b7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed parent policy from QLabel.setPixmap.
    
    This is not a parent transfer because the function receives a "const &" and stores a copy of the pixmap.
    
    Fixes bug #714.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    	  Marcelo Lira <marcelo.lira@openbossa.org>

commit f0e364ff28cad84f77141e92a546b8f5809ca4fe
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Remove duplicated const functions from QRegExp
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 73f21eb1bb013f2edfe8c58b5c88d35b5482ce2d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Last code snippets....

commit bd43c1e0b2e0ea106b98c53b42c82a11684c85b4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed Signal/Slot documentation content.

commit 04a26bd3bbcd791e921b52397cfead908f416d02
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 1.0.1

commit ca81d9a32c6d31ed86dd3723ee4c17c6d5b602a9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    More code snippets ported to Python.

commit 094de675913e82ea11219d0262d72127319c4f29
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump, 1.0.0 final yay!

commit b94f5359b08e3984c039023b337bfd248a984aee
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added some missing code snippets to PySide documentation.

commit 97a16f10ab0d0f608a00d3b05497cc6c4a464d2b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed useless files from docs.

commit eedc03ebb50d839096837877f08d17db5946bb72
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove some warning messages when generating the docs.
    
    Those classes haven't especific documentation, they are only typedefs for template instanciations.

commit 17f2d83e0e33e146d8efd55a13328ace8afad152
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Fix bug 676 - "wrong QLocale.toFloat() description".
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2ed86dc43538536718ad9592eb47e03d2674a8a7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#708 - "Remaining pyqtSignal in ref docs"

commit 8ac29700ce8419ea6a4f6b70186cd9dfea208ba8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added module documentation for all modules.

commit ee92e460f12a0a723ea150c8f7625a7acd1b2af2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed a lot of files not used by the doc generation.

commit 35168cb86a3172ac7d10cfba63ba00b3c1fdf121
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Missing doc code snippet for webkit.

commit daffd9831add06d88feda34b09199a2ec5eb1c02
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed/translated some doc. code snippets.

commit 9c212632512df3bcf6803fd41add3af40ca57e58
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use multiple code snippets directories to fix the crazyness of Qt docs.

commit f804d842974b7ddb05fd967cfbc329aebe7da44b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed unused doc snippet files.

commit 361c887da0875c29d9d7a8c7cf3abc257400e687
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added modify-documentation do QDeclarativePropertyMap to remove references to QVariant and QString.

commit 75f799872bf3f386f70a0d85bd62879ec14b18f8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added missing format attribute.

commit 1ab21c4b28485cece41ca4c0ac3e780baf522234
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added some QML tutorials to the documentation.

commit 98ede2df716c260203c0f513a5b1853b43af2825
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Minor fixes on pysideapi2.rst.

commit d9482626e67688eb814aedfd7caf80a1cc8e286e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use monospace font for sphinx literal strings.

commit dd8de65f73c679a241907e42da1c5bef312cf319
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Change version from beta6 to rc1

commit 2efb33d2fc1512723a08736e15ab27755184c08c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated PySide CMake files to use the new generator argument "avoid-protected-hack".
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 5ef2f26ec2e7a91ad2110821e2d5862517d08ca6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated CMake files to use the "--drop-type-entries" generator option.
    
    Instead of maintaining a complex CMake scheme to remove optional type
    system entries, the generation will rely on the new generator capability
    of dropping entries given via command line.
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 4305a54b423d8a0915e6566b83188fd867fe47eb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 681 - "Unicode support for trUtf8 method"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit e0cf4b000d1363b9cbeab707364e8e1933f4ee92
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 674 - "QGraphicsScene::clear() is missing"

commit adfaf21063d4d996ee0c3e28b5c41999209a93f9
Author: Jerome Leclanche <adys.wh@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 687 - "[PATCH] QUiLoader code example crashes"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 691841f829a87b3e9d765f9b41c360ca275991ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 675 - "QGraphicsLinearLayout segfault"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 47957530f9140081da3bbf3db040e3ecce523256
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Refactor to simplify code just avoding some Cism.

commit a7cebb5917f4afb2287d6abc076318001bde8677
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Make PySide signals work with meta types.

commit 0ad9c484dff7a3985f733d61ef0d47e7e34ac69b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add unit test for bug 684.

commit 0298a342892684f9832fb840574d30e254360e5c
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Raise error when slot argument is unknown.
    
    Instead of accepting it silently and generating potential
    segfault and undefined behavior, raise TypeError when
    the type of an argument is unknown to PySide type system.
    
    An example of such erratic behavior is in declarations like:
    
    @Slot
    def foo(self):
    
    Slots without arguments must be explicitly declared this way:
    
    @Slot()
    def foo(self):
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 7b4d24f09459d3005314e366f13d3473c4236019
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 679 - "QWebPage miss extension function"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 7d80ac8e292df3a24cb8406a46075cea73e79cf2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix phonon compilation and detection of VideoCaptureDevice class.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 26d6f4a39e9a00ce744f0f24c7f2b73bcf8cec68
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 638 - "Documentation for phonon doesn't show class inheritance diagrams."

commit 42e149598efebd82f52b7e2968979936ae28e4fd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed duplicated entry of QWebPage::ErrorDomain on typesystem.

commit 8eb529bda3d2f965d8d20c5ea8979f86d97b6e3f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Increments reference of None object on custom code for QState.addTransition method.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit c3d180fdc269183cb4f46ee773bb8521f283bff0
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #671.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b9dd824866016cfecfedd352faefcb54b35fe734
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Appended the metaclass data flags value on head.
    
    Fix bug #671.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 42c9f80b06f3255316b2f08e2edd8624987b9bef
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added QCursor test. It is related to bug #630.
    
    Bug #630 - Fails to resolve overload for QCursor(QBitmap, QBitmap, int, int)
    http://bugs.openbossa.org/show_bug.cgi?id=630
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit bda10df1da58fc19c527596b5c259ff41b4a4953
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed function 'QToolBar.addAction' to support callback in the
    arguments.
    
    Create unit test for bug #635.
    
    Fixes bug #635.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 7909d294f51564499333be7d50cddfde8ff4b38a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 668 - "QFileSystemModel setRootPath stops application from quitting."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit f25d227d6e540164e4f01103d025d36a0162b0a0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Replaced all entries of reference-count with action=add to action=set.

commit 7fd8eba1360975884c43164577e4e25635dc530a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 663 - "Crash on exit when passing QNetworkAccessManager around"

commit 95d546696e76cd631129e2a41ed13d77896906e7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove invalid function removals.

commit 2248c1b944eb0abf9281b5782bc7d3d835f271fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 667 - "Crash on exit"

commit 8fa461559c80d4b5a8c6814b403930724303ed00
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QGLBuffer::map code injection and test.

commit 06755f06ba70288912893bbbd213f5458047cea8
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated phonon typesystem to use the new pyside cmake macro syntax.

commit 5a87a51c119395cd12633d02a3c9558c32a73a43
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated http server used on tests to keep trying until get a free address.

commit 323b37bedadbef313a513ded818e326b6e5f2dcd
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #662.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 0fe1c15cbfc841205d490939f54614fedd1c99cc
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Implemented support for iterator on QTextBlock.
    
    Fixes bug #662.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 88c38236d4cbbbcff1fa4f0e34b6249796a370c7
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix append object description on typesystem only when this was found.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 8e4b414844c66b07fdbd22d92d0261519f0edde5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Separated class typesystem from the main typesystem.
    
    Remove class specification,  detected during the compilation from the
    main typesystem to avoid errors during the generation.
    
    Fixes bug #661
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 9b3d0b2ef2899d88ec026d81b84c45e4b501a17b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated translation test to use previous generated qm files.
    
    Upload qm files used on test to git.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 8a50e91e6fd14ea7d323cfde471723c0dbb1ddc6
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated http server used on unit test.
    
    Allow the server to reuse the address to avoid errors.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 90178e21ddcc084b15e298642731040c8f2ab1df
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for signals.
    
    Test for types inside of namespace
    Test for types defined by typedef.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6b1f0b8ca7493f261723a09adb7be046d78ee535
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed problems to emit signals with objects types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 4e79ce7b25070795174980c195268a8e5721746f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix 666 - "QByteArray does not support slices"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ac325f24e47402ee9493713399a934d0d005470b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 660 - "QMimeData type deleted prematurely when overriding mime-type in QStandardItemModel drag and drop"

commit d44aa5c3106ad8b2e9b08bd36a471bffd29fc5fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 643 - "QTabWidget.insertTab not taking ownership"

commit 2f6af8142da6b329ece08f2bdb7e3ee4eef9e080
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    The global header for PySide is now installed with the libpyside headers.
    
    This is good for PySide derived bindings (like the ones for QtMobility),
    so they don't need to copy the PySide global headers to their source
    tree and end up with an outdated file.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 233c0333e684fc02c1b75e6ddbb1567dfd6e0b89
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed unnecessary line from test binding CMake file.

commit ac767473a203c286bbc4daa6722e838d802d83a1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix qresource_test openning the file in binary mode, so it doesn't fail on windows.

commit 8ab8950ccc8a6039d5fb64eef46032887ab0f9d1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Export QTranslator::translate and QTranslator::load.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 8d1e058fa1b500846511d9656ce8a7f56c32f87c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Export method QCryptographicHash::addData.

commit a4ab1c7e9924892d1a43ca0fa67f5460048e7b2e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove some ancient method removals from QtCore typesystem.
    
    - QDir(QString,QString,QFlags<QDir::SortFlag>,QFlags<QDir::Filter>)
    - QBitArray::fill(bool, int)

commit 2d65e48fa81ede2472fd1a2fb4d8d28bb086172c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use PyString_GET_SIZE instead of PyString_Size on some inject codes.

commit f5d4b6e6785dd34fd29747cbd1649cac2a74ca27
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Export QSettings::iniCodec and QXmlStreamWriter::codec methods.

commit ee80967d2426d650b6d3a19ba4174976e9a6aaa1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    QPersistentModelIndex now have the same implementation of internalPointer of QModelIndex.

commit 7b4968ababf4044cfccf9984f3f6f449ab1a9b3a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed/implemented various QResources methods.
    
    - data() is now exported and returns a Python read-only buffer object.
    - (un)registerResourceData now accept buffers as arguments, and respects zeroes in the middle of data.
    - Improved unit test.

commit b52148fd851a73b652745674b7225a01dc65d837
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix comparisson of QByteArray with Python strings that have zeroes inside.

commit fa118ae670c476a3ff1f12bd98a460b5db211613
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added comments to some function removals.

commit 709895f2fbaa5b303da3ffed50f5f0705b18d296
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 653 - "Crash after calling QWizardPage.wizard()"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 295b965d3c38dcd13e6d0dcd5ffd34275b1757ff
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 652 - "Segfault when using QTextBlock::setUserData due to missing ownership transfer"

commit d7269670ee3b03b1e5d13eaa68244618a2daea63
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed the removal of some QApplication functions.
    
    These functions were removed due to ancient bugs in shiboken
    generator, all them now fixed.
    
    Functions:
    
    font(const char*)
    setFont(QFont,const char*)
    palette(const char*)

commit c19ab39cbf9a237232ea0e21bf78769ebe03f644
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump version to beta6.

commit 1b1a83dc3038a51b2e60d74e2a8bdd27380e6e7c
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed Cmake files used to find the library after the installation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 87977cc320b98aee545d3743436441a32d83f969
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 650 - "Missing bindings for QNetworkProxyFactory"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 3270dde028cbcf23e7ea1ed468f06e0f01965538
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 651 - "Calling disconnect() with no arguments causes segfault"

commit a44fcc6dbacdc56438360dcaed00ed25021e45f0
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated QAbstractItemModel.createIndex documentation to warning about
    ptr argument life time.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 43a8f4089e93fc48556f42ec49db8d06784b49ae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 656 - "cannot inherit from QCoreApplication"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f2c537eeaaf7ae88f28a7875ce941287c1a3a4d3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated GeneratorRunner calls on CMake files to use "--generator-set" instead of "--generatorSet".
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 9ca80b5d3a991a460a5604131b7eb10a2b1dfd1c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't crash if a typeId was not found when emiting a signal.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit e17795d35b6ce7a65ff55d1c5553b2488d45afa9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added test for bug 613.

commit 2a4391902406552815140f4ebe078f9f7e9a955c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 565 - "QImage missing *data constructors"
    Fix bug 566 - "'PySide.QtGui.QImage' object has no attribute 'scanLine'"
    
    The constructors now accepts any PyObject which implements the buffer protocol, as the
    C++ and PyQt4 version the buffer must be alive during the life time of QImage because QImage
    *does not* copy the image data.
    
    scanLine() and bits() now return buffer objects pointing to the memory inside QImage.

commit 4af09f10adb74f74fc5fc15734b7e803c32dd010
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Implement __repr__ function for class with Float attributes.

commit 3c3caf154eadeb9b4bfda172f5441d023bc42044
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #617.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5112a89ca97775b6b85ebd846ec735a5e8dadef3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created __repr__ function unit test.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 1a65a287fbf6b9ddbd7d689e4878426a34d837cd
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Implemented fuction __repr__ for base types.
    
    Fixes bug #593
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 1f6e877f8d3bf3cd35b1c29815aafa0177547f8a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QFileDialog function calls with options in the last argument.
    
    Fixes bug #590
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 629c0c383b3ba2bd175b0b6e08eeea983c5c3feb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add test for bug#640.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c5fffa6f24afcf96cc65a885dd8e82b77617d045
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Implement support to others color spec on deepcopy function.
    
    Created unit test QColor reduce function.
    
    Fixes bug #612.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 286f9c6d099dceb88dc1dfac8bdb0917b9fef2c1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#633 - "bool of null QDate (possibly other empty QString/null QObj types?) returns True for empty instance; probably should be False"

commit 9a4c439d7ff3926c87a2558cf42c9a69ff4a4734
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QLineEdit.getTextMargins return value.
    
    Fixes bug #632
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a4d7d8f80dc21d92d41338e7e7362d9b3a1b0b3a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#636 - "Unable to navigate back to the main site from the generated documentation"

commit 1cce4bafd3e512410c5b28ed7ede12266fd420a2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump version to beta5.

commit 08a0298fe0684be9c3179b073154ca1daf8544b5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated generatorrunner version dependency.

commit 92847038553383dac2c41d5b02968fdd01603ced
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Replace use of QMetaObject::activate to QObject::qt_metacall.
    
    This is necessary to support signals with default values.
    
    Fix bug #624
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit bcba2a3b329cc04236f4e38433b002f13ff55179
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Added test cases for signal emission.
    
    Signals are emitted from C++ and Python.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit b9679215b8eb39d18a774339828f55e57d479c5c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#552 - "Segmentation fault when using QUiLoader and QTabWidget"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 7f533799d442fbb1ffe5fb9be9a7174779d9e133
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use the same Python used by Shiboken instead of find a new one.

commit f7a2ab3d6661c5492bfc5f35fe531d45c9cdb26c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't reject QGLWidget::setMouseTracking function.

commit 6a83c872836d71700b4cecc18b813032bffad185
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#623 - "QGLWidget.bindTexture(QPixmap, GLenum, GLenum) is missing"

commit 1a3418c8d18308a0e9b05d5ebe7c1d976984a1d3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for module reloading.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 3b026ad4c9a2a1487e8409adc87b3f515356d497
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed Widget and Layout inject code to avoid problems in armel arch.

commit 50e6f7671db7a561a4832e7ddf6cf1eec326fb93
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #575.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 499051fd2a257ec2173e70889d6d8b72f65b968f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updates documentation of QUiLoader.registerCustomWidget method.
    
    The new documentation highlights the danger of duck punching virtual
    methods of widget objects produced by QUiLoader.
    Also named the argument of QUiLoader.registerCustomWidget as
    customWidgetType.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit fb6186d2709d56ea20aa477f9c989c8eacdf4f8d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Named the single argument of all "QWidget.*Event(arg)" methods as "event".
    
    Just to make the generated documentation more readable.

commit 0d9a584a1c1b557990f0b31aa95f16da62392d86
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed style on QUiLoader code snippet.

commit 530a3d23c58a9997106018a64624f4d654e6d6ea
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#584 - "python pickle module can't treat QByteArray object of PySide"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 8243565f817d37ffc33a5c3eabdc6e7657b981e1
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix typo on Cmake files.
    
    Reviewer: Bruno Araujo <bruno.araujo@openbossa.org>

commit 867c2bd259edb17a4c6b7315954cafc9ea8b1f88
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed useless rejections
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ae02222d57870eabdf621852bc8b44798f10fb31
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove protected fields of event classes.
    
    Event classes have a lot of non-documented protected fields, those fields
    are removed from PySide because they are Qt implementation details,
    besides the fact they are accessible by ordinary event methods.

commit a78108efe3a4815226e2fe26713cd0f495d655b7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix documentation for QWidget.winId()

commit 7e1b76e05485ee3ae8712cee148d0a647b5c2f2c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't crash when a unknown type is given as a meta call argument.

commit b5331e5c56bc5bc6bdd62d205565246e9340771c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add  polymorphic-id-expression to QGraphicsObject and QDeclarativeItem.

commit c8111dc99a47098026ba1e4ca089b5637592a7d4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed path to include file used on cmake files.
    
    Reviewer: Bruno Araujo <bruno.araujo@openbossa.org>

commit 85947c03d98aea065022b289611826b4ab5933e2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Create a new parent test.
    
    Check if the parent does not increase the reference if you set the
    parent twice.

commit b8fcead6295624ad9166a0e37ec672d2323acad8
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Use python base name as library prefix.
    
    Use the same CMAKE_BUILD_TYPE as shiboken if none was specified.
    Append SHIBOKEN_PYTHON_BASENAME in the library suffix.
    
    Fix bug #509.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ed0d9cf82066496a0cc8e9a0bf6de58c81f535c0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for QPainter.setPen() method.
    
    Calls it with enum, to call the setPen(Qt.PenStyle) signature, and with
    an integer, to call the setPen(QColor) signature (QColor is implicitly
    built from an unsigned int in C++).
    
    For more details see Bug #511:
    http://bugs.openbossa.org/show_bug.cgi?id=511
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 814bc522ce510dd37818b87e23ffedd4b7b5c0b8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added condition for a phonon test that fails on Win32 with Qt 4.7.1.
    
    This is due to a bug on Phonon::createPath that happens with the
    specific combination of Win32 platform and Qt 4.7.1. The bug is reported
    as fixed for Qt 4.7.2, but it wasn't released yet.
    
    For more details on the bug:
    http://bugreports.qt.nokia.com/browse/QTBUG-13062
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit fb9fdba329899cfe884d1769c73686caa48c111d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug 589.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0f6a504dfb06b69b918fbc94db361cfbce9b62a3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix Qvariant to Cpp conversion.
    
    Fixes bug #589
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit efdedcdd016c491b31e8432ec47b16d2265fdbfd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes the fix in the commit a1cf8f03.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 4d014eaa809da4d4f401decf730df5fc3587e4fd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#560 - "Lack of QtCore.Signal documentation"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a1cf8f03b26b9fbe8ef7b58945041c5b97ea32e4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes connecting signal to decorated slot.
    
    Decorated methods on classes derived from QObject are not called when
    connected to Qt signals because they get a name different from the
    decorated method. To solve this decorated methods are registered as
    global slots.
    
    An unit test was added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 5151af6de11d5cb2db0eacfff6656ee936ae098b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Refactoring to Phonon basic playing test.
    
    Also replaced the ogg audio tone file for a wav one.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit d3894ed86114edf35ee664d77e8fe51f08dde71d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed PATH variable for tests on win32 platform.

commit 932d9bced913443c4b339dccd204eeceed6385d6
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #585.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fb9c1a97fec24a43c0f25bc1492b10a884420f4d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QTreeWidgetItem.parent function policy.
    
    Fixes bug #585
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 753d2bd1f63e29f2a6b812a157200a05e6c06cec
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Only try to play the ogg file if the system has the capability to do it.
    
    This fix a failing test on macosx.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 53e649629bb0d36cb47bd50e8428ba6e174efa2d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QtNetwork test to use '127.0.0.1' instead of 'localhost'
    
    This is necessary to make all test to be able run on any buildbot machine.
    Fix Http server shutdown sequence to avoid deadlocks.
    
    Fixes bug #587
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6383832408576175b60f608e02fa3424f782dbed
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#557 - "Segmentation fault in QDeclarativeComponent.loadUrl()"
    
    The signature QDeclarativeComponent(QObject*) should not exist, it's not
    documented and just creates a useless QDeclarativeComponent when used,
    useless in the sense that it will segfault when used.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit ed1c0014f902cae7b1820fc89fde1dd227beddc8
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QWidget.setParent signature on typesystem.

commit 32681f7b7039f41bec4c4965370d4b66bee53532
Author: linjunhalida <linjunhalida@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    add new QDatetime init function with 6 arguments
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 15dd2e07edd4d1114bd8651987327e3ebc9ba6a6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Lock the gil on some hand written code to avoid crashes.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 3774752f0c254433eeacaeccb4abb25b2d255148
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed function QDataStream.readRawData return value.
    
    The function readRawData now return None in case of error, otherwise a
    string with the read data.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 269e8450dca79c7a689eb01bf1ca3ab5faeb8334
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    New format for __version_info__.
    
    The new format follow the same rules used by sys.version_info().
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 374e2fcf8803c9c3ada97ee29e51c9b6394ef166
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created support to function qAddPostRoutine.
    
    Created unit test for bug #515
    Fixes bug #515
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit da1759fe989118d5fa746353bebc22990099e7bb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test case for Bug #572.
    
    Bug #572: Giving unicode value as 'body' argument to WebView's load
    method crashes python.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 39a5a09145133871dec87cbd11766824f9e4c5a3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix QTreeWidgetItem.parent function.
    
    Create unit test for new use case.
    Fixes bug #547
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ea83c5e554e3901702135d07e9d03ec758bd56ae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#577 - "Reference to QString in docs"

commit f9587fcad277a6d55afe1aee04759a273a632fe9
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QWidget.parent function.
    
    Create unit test for bug 576.
    Fixes bug #576.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 27b53151bfc61f39d3bda3ad1c951468e8f6b587
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Avoid conflict in test case names
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit eb0d2114174870d84f88ddd348d3e1d9e2e9e2b2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed test to work in all platform.

commit a38db0fe03ebae6eb02812245de00ee74db8c70a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#514 - "Static method QByteArray.fromRawData is missing from QtCore"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit d0d4ba1564d2569618925cf1e6a423b449931d71
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 546 - "Python crash on exit"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 249a87808ac42644fecf9b8787b0ca6c757a2f4b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#493 - "__eq__ and friends not implemented for QKeyEvent == QKeySequence"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit bc9ddff514dfe9b4f1c133a59ef63fe72e7c8be5
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Improve QtScriptEngineDebugger test behavior
    
    The extra ContinueAction after evaluate() was crashing
    on MacOS X.
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Renato Araujo <renator.filho@openbossa.org>

commit 9d6d30cb6a2c901a4e282bde0e205a5226c778c8
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Changed api2 test to work on MacOS during a ssh session.

commit 7810dcd829d9435406b9b89ebcd56affab2c8dc7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#569 - "QTableWidgetItem is missing binding of __lt__ to operator<"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e8c0ba238a4807a77033ad3d3087787959dc1cc3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#563 - "Unhandled signal emitting with invalid signature (which leads to application crash)"

commit 4b6cc4d478726762d71578a8e2cd0049740d84a6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Changes the arg name from p to parent to make parent heuristic work.

commit db4d3244978510da9fe058596e2a52b651370986
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed MetaObject creation based on typename.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 7144634e350732901c8903b69febe417c2a9cb31
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix test to avoid problems on slow computers.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 25264046e8ed9d949b0cee38474c7f5b9d183f20
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Appended ${QtGui_BINARY_DIR} on typesystem_path for QtMaemo5 module.

commit ecbc9ebcfab356db0366f20822bedeb3270c390d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Appended QtGui library dependency on pysidetest library.

commit fa89170f62d48b65948d11f77bd7a5e8fef17dbd
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Test for QTDESIGNER before add QTUITOOLS.
    
    This test is necessary because the module QTUITOOLS uses some classes
    from QTDESIGNER.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Bruno Araujo <bruno.araujo@openbossa.org>

commit a74d92adcecb3df3bbb712e67590052279c5fd06
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix QTreeWidget parent rules.
    
    QTreeWidget.clear() - remove all child ref from the current widget
    QTreeWidgetItem.parent() - use default policy for returned value
    
    Fix bug #547
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 656be4ec981d793205e4818b1352a2b3896d9196
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Removed some float comparisons from QColor test to avoid armel problems.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 6cf55675dc896121e8a6fa806b642bb550ffa7d3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#549 - "QGraphicsWidget::getContentsMargins() and QGraphicsWidget::getWindowFrameMargins() not available"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fc471bed0f78d3de616e16719f69f463649b22ef
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Used more common signature on function test to QList objects.
    
    Replaced "const QList<QObject*>" signature to "const QList<QObject*>&",
    more used on Qt code.

commit 401f3941795f5d1c51d692da3261791a8d74bc9d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed variable scope.
    
    This keep the QByteArray live during the use of your content.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit af0860ba4ae8828a13a8674a6b365a5259076875
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix testbinding dependency
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>

commit c4185280ba22615b57632aa81155a6c6c782a7d7
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Moved list_signal_test to pysidetest library.
    
    This isolate the test case, and avoid other problems with X during the
    buildbot compilation.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 4b0eaa779651e9de4737c73bde4b911cc7db6527
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix the QtMultimedia/audio_test.py to accept computers with only null
    device.

commit 67b868ccb98d4ee3309d6b31b14bf87a1618fe1f
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Avoid QMatrix test while gcc is broken.

commit 48b25047c95910b266eb33e2cc97c5772e3530aa
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Used argument '-a' during the call of xvfb command.
    
    This argument allow the xvfb to find a free server number during the
    execution.

commit 04ac69ce5277ead02965ba42a99299dcc4994906
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed QtUiTools plugin.
    
    Removed use of static QString to store the class name.
    
    Fix bug #533.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ab19244c225daf295929bab0abc036aa299c536a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Added QSslCertificate to QtNetwork module.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 37fb36e1ff7be440f83a42dd5f5040cb04f7d54b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed indentation mistakes.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit bb39c847d356831dae3bc7b09f3963b6ec4dd69b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed global functions from QT_TR_NOOP and QT_TRANSLATE_NOOP family.
    
    These function just return one of their arguments as result, and the
    buggy implementation was forgetting to increment the reference count for
    the returned object.
    
    A new unit test was added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 14a5405837736160ca94a2707916e1bacced39cb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes bug #502.
    
    The ownership of the editor returned by the Python override of
    QAbstractItemDelegate.createEditor(...) is now transferred to C++.
    
    A test was added to simulate the situation that triggers the bug,
    instead of relying on an example with a view, model and editable cells.
    
    See: http://bugs.openbossa.org/show_bug.cgi?id=502
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit fbc06244e02967be1627b1effa61a96476384f7f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed type system for TestView from pysidetest directory.

commit 116a0b159fac908a760f9ba40f4b82e3779731f7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    QObject.sender should not steal the returned object ownership to Python.

commit 00bfc9ba7b0bcc7e8b7eb788b629ba6dc309ad78
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#544 - "QtCore.QRect missing binding for method getCoords"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit d2d9f6bac9aa410510620faf0952456f2fb28a0e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#481 - "mimeData() missing from QListWidget, QTreeWidget, QTableWidget"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 499ef3bbb4ef8429ac1fb7505318ca7d066c06e5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#558 - "print attribute of a QWebFrame cannot be accessed normally"

commit 8545117cff205d6664e6f3ddddd43dd9cb23cf60
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QtMultimedia test to not fail when no devices were found.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c634b05def6265f8fa9ef65e17449ec7abf5e2b6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add GLuint as primitive type.
    
    If we don't do that any function with GLuint will be rejected by
    the generator on Windows.

commit dd1184ac4d231144933f891d46453af52af6b632
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use .pyd extension for pysidetest module on Windows.

commit 3b61f88a1fe16d1abdbc9f35ccb14ad5544b4c5e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix QML tests on Windows.

commit 53e472c5ef5423d51d008e13b81b351af6f07bf9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix compilation under MS Windows.

commit ca914c9f63acfdaa717bbdd94bf97817397afefc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a call to QObject.metaObject() to check if a segfault is caused.
    
    This completes the tests for bug #507[1].
    
    Also removed an unnecessary commented line.
    
    [1] http://bugs.openbossa.org/show_bug.cgi?id=507
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 9a4738457d4506c7ae885fcfd6a802428bea244a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed QML type registering test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit d3e5c54d8a08643eaa8f4ea6ef8fd156a0d21621
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated model/view test to follow changes in Shiboken/9459b9da commit.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 97740beab9b30b068bd07bad5276bb912b34b073
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#491 - "pyside doesn't respect BUILD_TESTS"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 634cde193ed445d044da760f7b8538597ae53725
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed ownership of the value returned by QAbstractItemModel::data(...).
    
    The value returned by Python to the virtual method
    QAbstractItemModel::data(...) called from C++ has its ownership
    transferred to C++.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit c53ec3c17e5c59b6b1cc245b19f83a0eba1085c3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated the PySide test related to Python model returning data to C++.

commit 539b906eb241b3874d015695bffd072632783960
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created function used in PyObject getAttro.
    
    Moved the code generated to a function in libpyside.
    Create unit test for bug #525.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fd9c8c8d7684a2ae9b6bee7521a1b28e2cdefa45
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unittest for bug #505.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ffc853c88b093444eb6c51b404b46d0e339067ff
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#517 - "Documentation for QtDeclarative is not linked in contents.html, modules.html"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 44d4d96ec35d3236b211788ef7f264c6d1a2a299
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#508 - "qmltopy1 crashes when setContextProperty is called twice without keeping a reference"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 46bbefb1cc9dc13afc5c0552587708865eb82e42
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#518 - "The file 'genindex.html' is not found (linked from contents.html)"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e3796fa3e79b7c28ba1fb2142c09f98dc5abb085
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#512 - "QGridLayout::getItemPosition() is not available"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6b720050efa431975ee275bd9a613f680b4eddc8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for Python written models returning new objects without keeping reference to them.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    eviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 4630f41f6a827e3657b221af05606ce6c8c855ca
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed new style signal connection tests for the proper semantics.
    
    One example to clarify: for the "destroyed(QObject* = 0)" signal,
    "obj.destroyed.connect(...)" connects to "destroyed()", and
    "obj.destroyed[QObject].connect(...)" connects to "destroyed(QObject*)".
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 154560c9c50f4cd46e2d5cc007fe3983e03cc6e5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added unit test for bug#500
    
    Reviewer: Lauro Mora <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e62b0364f12aaf68a49bdcd513eae123e77c0093
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add tests for qmlregisterType function and qml list properties.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9b2bf0a267a3415b29b0535f3018f6983b0d01ec
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Changed file permissions to 0644.

commit 643742cbcf09390479508458dcc3d58f0a75d962
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for QML list properties.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dc732da7a8f13b26ddae6474d92a889303e0fa46
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove unused field "type" from PySideProperty private struct.

commit 1422aed61669e0d1710f0da19ba57c58a613f397
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Replace useless check by a assert.
    
    QMetaObject must already be ready at this point.

commit 1464dc1022ad5afca0cea9c86b28b35eaf2c634b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for extension into PySide properties.
    
    This is used by PySide implementation of QDeclarativeListProperty.

commit b548a6f1736a39061f51eb1020bc4f6e5259279a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix copyright year.

commit 0a5e353ad0a0adf6160b97e730503683bf245c6c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes QImage constructor signature that used string buffer as image data source.
    
    The fixes uses the patch provided by Pieter Palmers on the bug #489
    description[1].
    
    A very simple test, to check the signature existence, was added.
    
    [1] http://bugs.openbossa.org/show_bug.cgi?id=489
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit ed1c4c72b91773f66a3a6c544cc5041e1d4c6c6d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added QRegExp.replace(QString, const char*) method.
    
    The only way to search and replace using QRegExp is using the
    QString::replace method. Since QString was removed, QRegExp now is
    useful only to search stuff, but not replace. For this purpose the
    QRegExp.replace method was added. The first argument is the string
    that will be operated over, the second argument contains the
    replacement, and the return value is a new modified Python string.
    
    Unit tests and documentation for QRegExp.replace were added as well.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 2d595e22b00e6511cd0543ca6ddf329d65826079
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Avoid removal of qmlregistertype.cpp by the build system.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ec0aeb6fce1ff590b3de0a9155c3daa5c97d3de3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Initial implementation of qmlRegisterType.
    
    It's fully functional, but need some adjustaments in the build system that will be done in the next few days.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 12bc3f5c123d300745c20dd933193a718998f95b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Set the object meta object at the declaration time, not instanciation time.

commit 35ab7bf679be1e4a8132191101a8798782c51739
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Moved pyside slot attr name do pysideslot_p.h.

commit a612c9ee5809e4c2bf0b719e73a928ff912ffda2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    PySidePropertyPrivate struct moved to the private header.

commit afe4fcf6959d29973c4e3fb223541ed484ea93b5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove unused ancient proxyslot.cpp file.

commit d51aacabd17838d5bef05d57715ec75ad0e11c46
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updates to more code snippets on documentation concerning QtCore module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 7ee87cc8f2f0185482a76a1ae3db87179150e19c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated a lot of code snippets on documentation concerning QtCore module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 59b4f2b59dcdee3831335c69109d3c19290d940f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed qt_metacall, now everything works as it should.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit e20a97a480f2a3a6f1a4d7b186e1d1a4944647b7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed dynamic meta object to avoid empty meta method.
    
    Empty meta methods cause a assert failure on QtDeclarative module.
    Also removed the scoped pointer to avoid heap allocation when it's not
    needed, as QByteArray is already implicity shared.

commit 9e26b5f39d2d966da93f7bb835b09485a1ec5c83
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Add needed cast to compile using python versions <2.6
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 113b8efdafaa3d317a18d96dafae6298022c9c11
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix doc generation after the refactor for v1.0.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0d60daf1e1a6edd95b58c7bdd33da8f4c1629c90
Author: Kalev Lember <kalev@smartlink.ee>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix phonon VideoCaptureDevice detection to properly use phonon_ namespace
    
    Fixes build with phonon 4.4.3 on Fedora rawhide.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit dadd07ccd733ce3d7eb27dcf08791fb256bcd981
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix compilation on Windows.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>

commit 91030433ced8aa59000de1465635dab528dbb36d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#496 - "No binary read/write methods in QDataStream"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 47aa7189789b43be6c7fee10affc83966fbbab07
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix crash at exit when there's a chain of referenced objects.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f31d9107555376e60757b9c8054030e2cf7bddad
Merge: e635023 a8ae068
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Merge branch 'apichanges'
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
    
    Conflicts:
    	libpyside/pyside.cpp

commit e635023cdb91452e719f16afb70d3d19b01aed34
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed layout ownership transfer.
    
    Fixes bug #480
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit abf841fbd3a28d16441ea076584d37b68659b288
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #480.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a8ae0680f23ca5e702a662cf36a465b7a7b2788a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Adapt to API changes in libshiboken.

commit ce1cadcacf01f4428f0f247dcd34ffdc38c9184e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed GlobalReceiver destructor.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 276f260f65e07dfb9778ba8d069f18e070852528
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed unit test related to bug #446.

commit 934f291fd9ce8a14fcf75b167a592706dfbcb826
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Separates QObjects with python ownership before start destructing then.
    
    This avoid list changes during the destruction.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f7cb52d3822cb8d1897498cf04ca58813c530af6
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Added reference to object which was exported to QML context.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e12197e2822a8cca0022d0843057548246930c16
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix generated property flags on metaobject.
    
    Fixes bug #478
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 3bc0d023c848be0d8e7e7337a92980647e11804a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix setContexMenu function ownership rule.
    
    Fixes bug #441.

commit 783c146766383186034d67f88ea1061f5abddaaf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug #446.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>

commit ff7f570599f88b022dffa9e80d9b28c2933cc053
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed codesnippte  about return of QAbstractSocket.read function.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>

commit c21497ec1a74552db43823857bec9bcdbb675038
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Create unit test for bug #467.

commit 6cefd33cd08232b25a3b81d598b88ec47aa5aad2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed use of QtDeclarative include header to work with MacOS.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ca0e17a45ed333c6b88f17df554757644d8041a4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fix typo on function call template type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit c9aef92cab51623aba0211c5805c88386c638e0a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Update to new Shiboken API (Renamed SbkObjectType)
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 5e0550446c3546beb4a7076a80a7475b394567f4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated to new shiboken API.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 098946263932e115bdbca17eb51c3a27848435e2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed recursive call on duck punching test.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 43e499a4faf7c7cacdba026bc87eda24a7d02e23
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed unit test to avoid exit with thread running.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dd8b0fcfe41222be0141e2b717bb6f6b4c6f7107
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created unit test for bug 462.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 71d279c0406030faa97927f510e2b2f802daf794
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Uses QByteArray instead of QString to avoid data copy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 090e4a6525c5469b2f257eb978ae74b1b8df5ffc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove function deleteDynamicQMetaObject, use Shiboken::callCppDestructor<DynamicQMetaObject> instead.

commit 16913eedcec8c71b129dfcb029e0eb0fc50bb2a1
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Fix setLayout method that was causing segfault when itemAt wasn't implemented.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 5a8efeb9df4271b0e1ec47bf231d2f23141d2375
Author: Mickaël <mickael9+junk@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#470 - "Object::connect: No such signal QTimer::"timeout()" when using QTimer::singleShot"
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit bd3efd2a0f39c7f0ec7be88672e30c332ac1d1fe
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#471 - "QtCore.QObject is missing 'thread' method"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit d2e204f3df1c80112cf42bb117db81299f93f8cf
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Removed invalid test.

commit 968d376c5dde8e93d59867070fb7fd250c59aad3
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix __init__.py and private.py install command.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit 178f81aa70711876fe492431ae32afa3538cf460
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Added PySide attributes to specify current version, and Qt version.
    
    Fixes bug: #454
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 655219636b1500e82d543914045f4cc7ba7db95f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#436 - "Using a custom QValidator generates a segfault"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7013bd760e1ad46b31c019e0a11df504d6e2563e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#455 - "QByteArray.data() cuts data to first '\x00' char"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2a4ee1675dd798d5a50363fb073e6801d45a8d17
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed unnecessary find_package statements from pysidetest's CMakeLists.txt
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 41b6f14acbde484cad2c8b670e5a3556ec62d7cf
Merge: 23c1b92 2ef14fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Merge branch 1.0 into master
    
    Conflicts:
    	PySide/QtCore/qvariant_conversions.h

commit 23c1b92073a25e23e2c3bdb2e1a758cfbb64fe79
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Changes needed to compile PySide with libshiboken v1.0
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 2ef14fcc12f003620f85a30f6a4b00e8fee654d2
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created unit test for qvariant conversion for object type.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a623a57d0660e4490c370da7167db3a794f5162e
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed QVariant conversions for object types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 92dcb7ae3a92416b4129d549625eba0512e02426
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Changes needed to compile QtCore with libshiboken v1.0

commit 66ff08586178ffb601fe874d48b9847fb577f513
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed QVariant conversions for user type.

commit c7f6b49e1e8df003f44528839f4b0438f155e8b1
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Convert QByteArray values to string during function call.

commit 90bdf74053b18d92df0eed142fef39ce8a15d6b4
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed QVariant conversion to C++
    
    Now before convert from python object to C++, PySide check for a existent of
    metaType for any derived class.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 729d68b703a4b8998f5b796e2da1a4e9b113468e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for Bug 452.
    
    Bug 452 - QListWidgetItem() not casting NoneType to null correctly.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 257e0cdf188172a9548e652ca5763bb124bb58ea
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented PySideMetaFunction class used to call dynamic slots.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5371e403ffe741119ba0803077b772ca84f3fce3
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created unit test for bug #451.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a029d217c2ae26aedb89e472ccdf61d20ec7fd26
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#427 - "QSvgWidget, load from QtCore.QByteArray does not work"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 50f915572de1f6f492f80b2cfc8c8fedd9cdae6f
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fill the argument used on metacall for slot functions.
    
    Fixes bug #456.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 60f46e4ea698f03bb6bace050ed3b88eb5d04ac3
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    unit test for bug #456
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 17b0474ec7c5980380eacd0e4374941b0d1cd81d
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed return policy on QWebView.page()
    
    Fixes bug #448.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 7a6c33e90bea643da038f99d9fc74e3267998937
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created unit test for bug #448.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 1f2696e9e77ba252f023776972fbf253c2f7a203
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed invalid call function.

commit e9b0f3e4ae9b1d9cd72003a40200d121e179269e
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed slot registration during the meta object constructor.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 5b0606009d478cf01d9b3d25110352823cdce0f4
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed metacall function adn PyGil state handle.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 4cd7a240d8db7de44b471a8ef0ed2f956addb743
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Renamed qsignal, qslot, qproperty files to pyside*.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit c7945787c556d2e3e40a1b9ef93147c640ee8ff6
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created Singal/Slot/Property namespace for pure C structures.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 62fd909705a4bf99590346712b040f7b40c9bb74
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created unit test for bug 428.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7a439f4d21b08b0ef9b7344ee61dd55f71b13ed6
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Exported function to instantiate a signal object.
    
    Fixes bug #428
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5944cc8d99d0c72cd87aa572224d3492e05c10eb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for bug #428.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a7d09741c2f4a094867a9729bbba82472aed0db1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update package requirements.

commit bd8239b1cd99d25c26eb99a051072254342ab0bb
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Stop signal/slot connection if is impossible to register that on object.
    
    Created unit test for bug #442, #437.
    Fixes bug #442.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a1524b78b632d99aa6076391d0d77e46271dd7c8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#409 - "function -- PySide.QtUiTools.QUiLoader.load(...) -- takes bytes-string (but not unicode-string)"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 22eab45ac999b03e2f30d2cf769d3f36450a05cb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove whitespaces.

commit b9811b773a13f83d7d3cae793e04088915da988e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#438 - "Can't find Python.h on OS X"

commit 42e83525db3da45b38b097825c736b2c733e9cf2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#438 - "Can't find Python.h on OS X"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 07b25e96864209358991682e4e26bea4c89e4f96
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix typesystem to use argument tags instead of hardcoded variable names.

commit ec0d05f8589236865906faa30441bd04d56b4409
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix crashes caused by the newer changes on shiboken generator.

commit 31a4f12f4cb358fa05726379c2a40106563e47ea
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix unit test for bug 430

commit 363ecb3461c54451c4766202a2eaaf95326a9d39
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented Signal constructor base on QMethod list.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ff03bd56ffd25c7f5f600772b393ce660494a351
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Updated SignalManager to new TypeResolver api.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 631f296b188737477aba4c4dd7af57c356db16c4
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Updated QtXml and QtXmlPatterns typesystem.
    
    Move some value-types to object-type because these classes use QScopedPointer without assigner operator.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7c6595c9264e6d21e715f0697a3b9a402828a5fb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Uses python include path provided by Shiboken.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 38bef241a99012002459828d34a1cae4e72f11f0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Removed AVOID_PROTECTED_HACK section from CMakeLists.txt.
    
    It was moved to the Shiboken cmake configuration file.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b0e9403d48c4c7a21ae8d7e2eaf26d712a835556
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Updated PySide cmake files to use Python library information from Shiboken.
    
    Shiboken cmake files provides information about which Python library to
    link against through cmake SHIBOKEN_PYTHON_LIBRARIES variable. It also
    sets the Py_DEBUG flag if necessary.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 720c76980dedd51abee7f182bd261a9ce5405a5e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Modified cmake files to make use of debug information provided by Shiboken.
    
    In summation, PySide is compiled for debug if the libshiboken is
    compiled for debug.

commit b7f36fec396631cf61ecc801e55df73a2ef55857
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove releaseWrapper as Signal tp_dealloc
    
    It was being called when the Signal was garbage
    collected, resulting in a segfault.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit a82deb1de29320159c8614c2c62c96e176d32771
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Moved QML enum from QtCore to QtDeclarative typesystem.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 78ab6c87ea27bf6f21d5144a2df5f977b90f7940
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed plugin compilation problems on MacOS.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 77a1654ad587241d3c14bafa2c0deae53e1599ee
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bugs 430, 426, 429, 394, 433.
    
    These bugs are about QApplication instance being destroyed  before
    some QObject.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 800fb4613cb61dbff33750ec0ab4b18ca3369c6c
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Put signals register before property registration.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 76fa1124908009ec1eaab0960dd542d6cc0e2c66
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes to libpyside pkg-config and cmake files.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 8e1e25a631d3e697ea795d66c8ed7e8fbbf7c6dd
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed type translate on QProperty.
    
    Fix bug #431
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d094064ffeec72eaf75fcaa9e23ecab6506d346b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#420 - "Memory leak in setText"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 26750d345c61148d45b500e891b970b8e4e79661
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented support to notify argument on Properties.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4f1a11b61f1488921eb2d5de339d92afec8fbc9f
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Create private data structure to QProperty type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5100b62bdca70d48d5d441cc33ca941053ae1551
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Replace code injection by typesystem commands.
    
    Related to bug#418 - "tag parent does not work in constructor modify"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 97de7750eecb3341f4999cb3f5ae1b2576cae2e7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix inject conversion rule used to fix bug408.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit cc7a2018b52c9191a37f4f1220b2e57b1fbe0d97
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added d-pointer to PySideSignalInstanceData struct.

commit e733c2b11bbe60036f4e10bff8f07ef328223cce
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added test for bug #395 - error calling QPainter.drawLines overloads.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 4a638ed6347ebe82c9093b1bb229f062a703a6a8
Merge: ae942fd c86a509
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Merge remote branch 'mainline/1.0'
    
    Conflicts:
    	CMakeLists.txt

commit ae942fd5dae9e59cae78a32ed598001bf70e523e
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Included QSignalTransition constructor to support Signal objects.
    
    Created unit test.
    
    Fixes bug #416
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit bea4934c04fe49eedff218e9905926ec3477e0b1
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Included missing function on unit test for bug 332.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit af870d2e32699963b218ff33c25a2d4452a75be8
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed PySide plugin for uiloader dependency.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 65022ffef62096033bcff49c4544640dac92f44e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#408 - "QIODevice.readData() and .readLineData() have output parameters in their signatures"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e7f280f7451b3429fc1e1407225a6b9d27db1888
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Removed QtDesigner dependency from QtUiTools module.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d75bd8367d26e4049b6748cc001ec7482fbda832
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created function value to class QTreeWidgetItemIterator using the
    operator *.
    
    Fixes bug #400.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5c9afb798ecc9ec29622464c9c96909a2e79f220
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    WId conversions used on Windows OS.
    
    Fixes bug #399.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 83f8447c9546f53c134a10f02e81abdab88aed3a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#172 - "editing a QListWidgetItem stored in a variable makes it impossible to delete"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ef35dc4cd4b6b09d41c855696b28a31708cf2ad7
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Injected code for class Phonon.Notifier.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8f1bb6ffe00723f1f61fefc3f9175a414b2f736e
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed typo on typesystem used in doc generator.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 3ad81fcdaaa9155a83f0d9112ba6f0b324312346
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Used original object in parent dictionary.
    
    This allow use the object as arguments in any functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e71b215f0bb4c6b53bd74a66ab856426df51f140
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed reference leak on uiloader.
    
    Fixes bug #392
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c86a509af1a1a44d449aeb68858e17007e53e12a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    QNetworkReply.errorCode method is now properly called QNetworkReply.error
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 0568190e8b39e52660efed55004a5da2a2535944
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Adjusted QTimer.singleShot custom code since all Signals are callable now.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 4c8660413a66b8e006687def786d9a82c6870094
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented support to deep copy on QtGui.
    
    Fixed QMatrix*x* implementation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit ce09bd623b678eefddbe848b5cb44533cc648ae9
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented support to deep copy on QtCore.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit eb9b436390a71327104a884afe09b566b0dc5fbd
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Adding extra check for QPoint as a dict key
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit a3b0314c58720194613a87623461abc93469a978
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Adding deepcopy test for QtCore classes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit 51dd97bebcf49c36402bd3401e5f8b1bf0d1de31
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Adding several __reduce__ methods in QtCore
    
    Add QColor.__reduce__
    Adding QByteArray __reduce__
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit 24fcb55072c9e9db0215e0268202e4e14f55195f
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Add templates for __reduce__ functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit 646850ee7b92b4c6d25de04583bcc52a4f122e1e
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Adding QColor copy test
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Filho <renato.filho@openbossa.org>

commit 9a3db9de9c67f1b38348ef64bcb730eec1d1e763
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Updated version to 0.4.2.

commit 7fab5c03a94a24f6496ad129485244f7d6f4f994
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Signal objects redirect calls for homonymous methods.

commit 4b3b56acd7caaa7ff0d9c7b913cfe73db12afd4a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a PySide derived test library.
    
    The test library is intended to provide specific test cases in a way
    that problems could be isolated easier than using the ones provided by
    the Qt library. Cases commons to all Python bindings must go into the
    Shiboken test libraries, the one added here is intended to test Qt
    specifics (e.g. signals).
    
    A Python unit test was added for the case when a method and a signal
    have the same name.

commit 87c67294301eb53c67e949ff50b991afe24d80c0
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Updating documentation to reflect adoption of wikipages.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>

commit ba54f0956e50c9a667ce160c69592d08ce514382
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed python include var used in plugins project.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e8e8da9efdcb728dd1989d9274cbc22be22ae9c4
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Only compile QtUiLoader if QTDesigner was found.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 897dd874a34ddfc164ea7dbd4bfd5eaffd02aabd
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Replace type() comparison with isinstance.
    
    type() comparison won't work due to weakproxy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit 8419414b80d9f933c8a3af4ee8fd0ea4aba3820b
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Reorder includes to avoid _POSIX_C_SOURCE warnings

commit 349bdc2bc53c36043c81222f6e83762c72a6c56f
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add more test for operations with QFlags

commit 04180e1f1d9e5dc2b8e8e856f6fde0587074284a
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add default name for QObject.findChild(type, name)
    
    Plus test.
    Should return a child of the given type.

commit 3c7f55855b45168818ef6fc5e58b30f1c7e4d133
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Moved cmake macros to a separeted file.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 24cbdd8dfa3cd01184d0dae297c15547d4962293
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created uiloader plugin used to register new types before QUiLoader.
    
    This is used to register a new python type which can be used in ui description files.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 83533ddc5d89feb046863b4dacc86be3967e4a6b
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Used proxy object in QUiLoader loaded widget to avoid cyclic reference.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e75b82fdf6e9903e7264a1bc962ab7ed42c53bcd
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Created unittest for widgets defined in Python and used during QUiLoader.loader function.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 42516e6f864c2beb912c593f6198ab394a5a243f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump.

commit 54618cdad9d007023051e8ecad4d7228c16613ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Turn call_method function into an anonimous function.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 740137e51a4c506d03e4de1ab53e418dfab1c8c0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Rename some slot internal functions and structures and remove C linkage from init_slot function.

commit a43eafaae46060adfc6e0f15fb14b56c6c887494
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't export symbols that don't need to be exported and rename many functions.

commit 1a10971865153e252d99b19018b5f2444e06a0eb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't inline function deleteDynamicQMetaObject.
    
    It's used by address, so inline it is useless.

commit f2c59b613b28bfc8c1351d09ec7edaaedb174bfc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Move structs tagged as "export C" outside C++ namespaces.
    
    Also don't export structs that don't need to be exported.

commit 16ccce72d8c2763051806a5fc9caa574fa1dcc61
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't export functions not used outsise libpyside and move them to an private header.

commit 9257cd1783c96401b4736e48b1f9741624183124
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Changed name of qproperty functions

commit 15b0e9aa2b16109aa293ab446a8edc533af56658
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add a d-pointer to DynamicMetaObject.
    
    This break the ABI.

commit 6b8d262b4067bffd4e5a9611c07b862aa64d2538
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Workaround to change the documentation about the return value of some functions.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 673c0d26757526a068e758195d235c047150d789
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Added documentation to QPyTextObject class.

commit ec252fae3f8c231cac63711b9e7522aaa6a53a79
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update pyside.qdocconf.in removing useless entries.

commit 1508831725b74ce7962a1dba79848cad8e87258f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed some code snippets used in the PySide docs.

commit 829ffd3dfd31eef3b98678adfcba1609445305b3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Revert "Fixed doc of return values."
    
    This reverts commit bebede17c03c5f6180262a4031c53998142564ad.

commit bebede17c03c5f6180262a4031c53998142564ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixed doc of return values.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 79f837715f1a3bb91ed728e62eb27a5b0887b215
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed whitespaces.

commit ebe20bd63fa677804a520df6ce1a2fd64a9401ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add unit test for bug#172

commit 5f21b20e722a41bd3d1d9bbf4c36f8f08aba4f63
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Generate documentation for phonon.

commit 4caa8e8ab32ffdad8d8c9c47b9bc2b52600fd5d5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Sort typesystem according to their dependencies to avoid the inclusion of a typesystem with generate=no.

commit 254d365d5c8017a63916bf524c69313cefdeccb2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use QByteArray instead of QString in some internal QLayout functions.
    
    As only latin1 chars are expected, we don't need waste memory with QString.

commit 4adb686fc15dc3dfdb872157df27b534f1ca7f98
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Extend QUiLoader test to test  ui files with custom widgets.

commit 7f4e85f6501aa58623244303cdaf6e129c02af4d
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed QWidget setLayout rules.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 73fea931819ee1f6a32c50c9d67a9c292e69d45a
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed QApplication cleanup.
    
    Fixes bug #396.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2f8381e71213a1ecaed3ceda9ed9cdd981b79893
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented detection for VideoCaptureDevice on phonon module.
    
    Fixes bug #355.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 51cbe9d49e3a992f1d02dd97fe68e34fae6957ee
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Added missing file on QtUitools tests.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 940b90e80a7ec21e513ac16ff73d8fa8cf23d489
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implement python conversion to QTime, QDate, QDateTime
    
    Fixes bug #371.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 288a53369fa8df74a92c7517e8744c5139797c78
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Removing deprecated and duplicated test
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 7633675d1154eda8d799aa340c5513baa34621b9
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Support any QObject in QUiLoader.load function.
    
    Fix bug #392.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
             Marcelo Lira <marcelo.lira@openbossa.org>

commit 846c9a151f23ec727540f1bda8d6b43609f5ad43
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Unit test for bug #392.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
             Marcelo Lira <marcelo.lira@openbossa.org>

commit 44af04703081f529c433f0fbc5229e9e0d12304f
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fix QWidget::style / QWidget::setStyle ownership rules.
    
    Fixes bug #389.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5222609f31c298f4f729789a0f7764a4496b5ae9
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Unit test for bug 390.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 866c76ff1fd8246ffb1be557670a522dd678050a
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Use PyObject as default type on signal/slot signature.
    
    Fixes bug #390.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

